/*******************************************************************************
* Filename: CustomDataTypes.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef CUSTOMDATATYPES_H
#define CUSTOMDATATYPES_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */
#include "cytypes.h"
/* propietary */

/* operation system */

/* processor expert */
/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/
#define CustomFalse 	0
#define CustomTrue 		1
#define CustomError 	0
#define CustomOk 		1
#define CustomDifferent 0
#define CustomSame 		1

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/
struct	bit_def {
	unsigned char	b0:1;
	unsigned char	b1:1;
	unsigned char	b2:1;
	unsigned char	b3:1;
	unsigned char	b4:1;
	unsigned char	b5:1;
	unsigned char	b6:1;
	unsigned char	b7:1;
};
union byte_def {
	struct	bit_def bitFlag;
	unsigned char	byte;
};

// Estructura para decodificacion de datos MPDT
#define SizeDataFieldsFrame	25			// Tamaño del buffer de datos recibidos de la trama
struct sDecodedMPDTFrame {
	uint8	FlagDataRx;
	uint8   Type;
	uint8	IDunit[3];
	uint8   Service;
	uint16  ResultRx_SizeTx;
	uint8	Data[SizeDataFieldsFrame];
};

// Estructura para decodificacion de multitramas de las torres
struct sDecodedSingleFrame {
	uint8   Type;
	uint8	IDunit[3];
	uint8   Service;
	uint8	Data[SizeDataFieldsFrame];
};

// Estructura para decodificacion de multitramas de las torres
#define SizeMultiframeMessages	15			// Max numero de tramas simples que se pueden enviar en una multitrama
struct sDecodedTowerMultiframe {
	uint8	Type;
	uint8	FlagDataRx;
	uint8	TowerID[5];
	uint8	TowerTxSlot;
	uint8	NumberMessages;
	uint8	IDSamples[SizeMultiframeMessages];
	uint16  ResultRx_SizeTx;
	struct sDecodedSingleFrame	MessagesArray[SizeMultiframeMessages];
};

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif
