/*******************************************************************************
* Filename: DecoderFrames.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef DECODERFRAMES_H
#define DECODERFRAMES_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */

/* propietary */
#include "CustomDataTypes.h"

#include "BitArrayLibrary.h"
/* operation system */

/* processor expert */

/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/
// Definiciones resultado de decodificacion globales
#define DecodError			2
#define DecodOk				3
#define MaxSizeBytesFrame  30
/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/
// Buffer para procesamiento de tramas de servidor
extern volatile uint8 BuffAuxFrame[MaxSizeBytesFrame];
/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/
// Funciones de decodificacion
extern uint8 DecoderFrames_HammingCalc(uint8 fcTmpSize2, uint8 *pfcTmpFramePointer2);
extern uint8 DecoderFrames_HammingInsert(uint8 u8HammingWord, uint16 u16BufferSize, uint8 *u8FramePointer);
extern uint8 DecoderFrames_DecodHamming(uint16 fiTmpSize4, uint8 *pfcTmpFramePointer4);
extern uint8 DecoderFrames_BitStuffing(uint16 fiTmpSize1, uint8 *pfcTmpFramePointer5, uint8 fcTmpParameter);
extern uint8 DecoderFrames_GetDatatower(uint8 *FramePointer, uint8 *IDtowerReturnPointer, uint8 *SubSlotReturnPointer, uint8 MultiframeSize);
extern uint16 DecoderFrames_EncodeHeaderFrame(uint8 *u8FramePointer, uint8 u8Type, uint8 u8SubSlotTx, uint8 u8NumberMessages, uint8 u8IDsamples[], uint8 u8IDTower[]);

/********************************************************************************
* Abbreviation Table
* 
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif 
