/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_Filter_Start
********************************************************************************
* Summary:
*  Start the HW for FIR_filter component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void `$INSTANCE_NAME`_Start(void) 
{
	// Variable declarations for DMA_ADC2Filter
	uint8 `$INSTANCE_NAME`_DMA_ADC2Filter_Chan;
	uint8 `$INSTANCE_NAME`_DMA_ADC2Filter_TD[1];
	// DMA Configuration for DMA_ADC2Filter
	#define `$INSTANCE_NAME`_DMA_ADC2Filter_BYTES_PER_BURST 1
	#define `$INSTANCE_NAME`_DMA_ADC2Filter_REQUEST_PER_BURST 1
	#define `$INSTANCE_NAME`_DMA_ADC2Filter_SRC_BASE (CYDEV_PERIPH_BASE)
	#define `$INSTANCE_NAME`_DMA_ADC2Filter_DST_BASE (CYDEV_PERIPH_BASE)

	// Variable declarations for DMA_Filter2VDAC8
	uint8 `$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan;
	uint8 `$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[1];
	// DMA Configuration for DMA_Filter2VDAC8
	#define `$INSTANCE_NAME`_DMA_Filter2VDAC8_BYTES_PER_BURST 1
	#define `$INSTANCE_NAME`_DMA_Filter2VDAC8_REQUEST_PER_BURST 1
	#define `$INSTANCE_NAME`_DMA_Filter2VDAC8_SRC_BASE (CYDEV_PERIPH_BASE)
	#define `$INSTANCE_NAME`_DMA_Filter2VDAC8_DST_BASE (CYDEV_PERIPH_BASE)

	// Filter Coherency set to 1 byte burst
	`$INSTANCE_NAME`_Filter_COHER_REG = 0x55;
	// Start VDAC8s
	`$INSTANCE_NAME`_Filter_VDAC8_Start();
	// Start filter
	`$INSTANCE_NAME`_Filter_Start();
	// Start ADC
	`$INSTANCE_NAME`_ADC_DelSig_SelectConfiguration(Digital_Filter_ADC_DelSig_Audio_CFG, 0);
    `$INSTANCE_NAME`_ADC_DelSig_Start();
	// Desactivar interrupcion al terminar la conversion
	`$INSTANCE_NAME`_ADC_DelSig_IRQ_Disable();
	// Start ADC conversions
    `$INSTANCE_NAME`_ADC_DelSig_StartConvert();
	
	// Configuration for DMA_ADC2Filter
	`$INSTANCE_NAME`_DMA_ADC2Filter_Chan = `$INSTANCE_NAME`_DMA_ADC2Filter_DmaInitialize(`$INSTANCE_NAME`_DMA_ADC2Filter_BYTES_PER_BURST, `$INSTANCE_NAME`_DMA_ADC2Filter_REQUEST_PER_BURST, HI16(`$INSTANCE_NAME`_DMA_ADC2Filter_SRC_BASE), HI16(`$INSTANCE_NAME`_DMA_ADC2Filter_DST_BASE));
	`$INSTANCE_NAME`_DMA_ADC2Filter_TD[0] = CyDmaTdAllocate();
	CyDmaTdSetConfiguration(`$INSTANCE_NAME`_DMA_ADC2Filter_TD[0], 1, `$INSTANCE_NAME`_DMA_ADC2Filter_TD[0], 0);
	CyDmaTdSetAddress(`$INSTANCE_NAME`_DMA_ADC2Filter_TD[0], LO16((uint32)`$INSTANCE_NAME`_ADC_DelSig_DEC_SAMP_PTR), LO16((uint32)`$INSTANCE_NAME`_Filter_STAGEAM_PTR));
	CyDmaChSetInitialTd(`$INSTANCE_NAME`_DMA_ADC2Filter_Chan, `$INSTANCE_NAME`_DMA_ADC2Filter_TD[0]);
	CyDmaChEnable(`$INSTANCE_NAME`_DMA_ADC2Filter_Chan, 1);
	
	// Configuration for DMA_Filter2VDAC8
	`$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan = `$INSTANCE_NAME`_DMA_Filter2VDAC8_DmaInitialize(`$INSTANCE_NAME`_DMA_Filter2VDAC8_BYTES_PER_BURST, `$INSTANCE_NAME`_DMA_Filter2VDAC8_REQUEST_PER_BURST, HI16(`$INSTANCE_NAME`_DMA_Filter2VDAC8_SRC_BASE), HI16(`$INSTANCE_NAME`_DMA_Filter2VDAC8_DST_BASE));
	`$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[0] = CyDmaTdAllocate();
	CyDmaTdSetConfiguration(`$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[0], 1, `$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[0], 0);
	CyDmaTdSetAddress(`$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[0], LO16((uint32)`$INSTANCE_NAME`_Filter_HOLDAM_PTR), LO16((uint32)`$INSTANCE_NAME`_Filter_VDAC8_Data_PTR));
	CyDmaChSetInitialTd(`$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan, `$INSTANCE_NAME`_DMA_Filter2VDAC8_TD[0]);
	CyDmaChEnable(`$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan, 1);
}

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_Filter_Stop
********************************************************************************
* Summary:
*  Stop the HW for FIR_filter component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void `$INSTANCE_NAME`_Stop(void) 
{
	// Variable declarations for DMA_ADC2Filter and DMA_Filter2VDAC8
	uint8 `$INSTANCE_NAME`_DMA_ADC2Filter_Chan; 
	uint8 `$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan;
	// Stop VDAC8
	`$INSTANCE_NAME`_Filter_VDAC8_Stop();
	// Stop filter
	`$INSTANCE_NAME`_Filter_Stop();
	// Stop ADC
    `$INSTANCE_NAME`_ADC_DelSig_Stop();
	// Desactivar los canales DMA
	CyDmaChDisable(`$INSTANCE_NAME`_DMA_ADC2Filter_Chan);
	CyDmaChDisable(`$INSTANCE_NAME`_DMA_Filter2VDAC8_Chan);
}

/* [] END OF FILE */
