/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>
#include <`$INSTANCE_NAME`_Decod_window_dp_PMW.h>

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_Start
********************************************************************************
* Summary:
*  Start the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void `$INSTANCE_NAME`_Start(void) 
{
    // Iniciar el modulo PWM para las ventanas de decodificacion
	`$INSTANCE_NAME`_Decod_window_dp_PMW_Start();
}
/*******************************************************************************
* End of `$INSTANCE_NAME`_Start
*******************************************************************************/

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_Stop
********************************************************************************
* Summary:
*  Stop the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void `$INSTANCE_NAME`_Stop(void) 
{
	// Detener el modulo PWM para las ventanas de decodificacion
	`$INSTANCE_NAME`_Decod_window_dp_PMW_Stop();
}

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_Filter_Stop
********************************************************************************
* Summary:
*  Set period and CMP values for a %error defined
* Parameters:  
*  Period in ms, Error in %
* Return: 
*  void 
*
*******************************************************************************/
void `$INSTANCE_NAME`_SetupWindowDecoder(uint16 Period_us, uint8 Error)
{
	///uint16	iWindowMS = (Period_us*(uint16)(Error))/(uint16)(100);
       
    uint16 u16unitsOfPMW = 0;
    volatile uint16	iWindowMS = ((Period_us*(uint16)(Error))/(uint16)(100));
    
    uint16  iWindowUnitsPMW = iWindowMS * 12;
    u16unitsOfPMW = Period_us * 12;
    
	// Fijar los valores en los generadores PWM
	`$INSTANCE_NAME`_Decod_window_dp_PMW_WritePeriod(u16unitsOfPMW+(iWindowUnitsPMW));
	`$INSTANCE_NAME`_Decod_window_dp_PMW_WriteCompare((iWindowUnitsPMW << 1));
}

/* [] END OF FILE */
