/*******************************************************************************
* File Name: CLK_CMX.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CLK_CMX_H) /* Pins CLK_CMX_H */
#define CY_PINS_CLK_CMX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CLK_CMX_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CLK_CMX__PORT == 15 && ((CLK_CMX__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    CLK_CMX_Write(uint8 value) ;
void    CLK_CMX_SetDriveMode(uint8 mode) ;
uint8   CLK_CMX_ReadDataReg(void) ;
uint8   CLK_CMX_Read(void) ;
uint8   CLK_CMX_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CLK_CMX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CLK_CMX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CLK_CMX_DM_RES_UP          PIN_DM_RES_UP
#define CLK_CMX_DM_RES_DWN         PIN_DM_RES_DWN
#define CLK_CMX_DM_OD_LO           PIN_DM_OD_LO
#define CLK_CMX_DM_OD_HI           PIN_DM_OD_HI
#define CLK_CMX_DM_STRONG          PIN_DM_STRONG
#define CLK_CMX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CLK_CMX_MASK               CLK_CMX__MASK
#define CLK_CMX_SHIFT              CLK_CMX__SHIFT
#define CLK_CMX_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CLK_CMX_PS                     (* (reg8 *) CLK_CMX__PS)
/* Data Register */
#define CLK_CMX_DR                     (* (reg8 *) CLK_CMX__DR)
/* Port Number */
#define CLK_CMX_PRT_NUM                (* (reg8 *) CLK_CMX__PRT) 
/* Connect to Analog Globals */                                                  
#define CLK_CMX_AG                     (* (reg8 *) CLK_CMX__AG)                       
/* Analog MUX bux enable */
#define CLK_CMX_AMUX                   (* (reg8 *) CLK_CMX__AMUX) 
/* Bidirectional Enable */                                                        
#define CLK_CMX_BIE                    (* (reg8 *) CLK_CMX__BIE)
/* Bit-mask for Aliased Register Access */
#define CLK_CMX_BIT_MASK               (* (reg8 *) CLK_CMX__BIT_MASK)
/* Bypass Enable */
#define CLK_CMX_BYP                    (* (reg8 *) CLK_CMX__BYP)
/* Port wide control signals */                                                   
#define CLK_CMX_CTL                    (* (reg8 *) CLK_CMX__CTL)
/* Drive Modes */
#define CLK_CMX_DM0                    (* (reg8 *) CLK_CMX__DM0) 
#define CLK_CMX_DM1                    (* (reg8 *) CLK_CMX__DM1)
#define CLK_CMX_DM2                    (* (reg8 *) CLK_CMX__DM2) 
/* Input Buffer Disable Override */
#define CLK_CMX_INP_DIS                (* (reg8 *) CLK_CMX__INP_DIS)
/* LCD Common or Segment Drive */
#define CLK_CMX_LCD_COM_SEG            (* (reg8 *) CLK_CMX__LCD_COM_SEG)
/* Enable Segment LCD */
#define CLK_CMX_LCD_EN                 (* (reg8 *) CLK_CMX__LCD_EN)
/* Slew Rate Control */
#define CLK_CMX_SLW                    (* (reg8 *) CLK_CMX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CLK_CMX_PRTDSI__CAPS_SEL       (* (reg8 *) CLK_CMX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CLK_CMX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CLK_CMX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CLK_CMX_PRTDSI__OE_SEL0        (* (reg8 *) CLK_CMX__PRTDSI__OE_SEL0) 
#define CLK_CMX_PRTDSI__OE_SEL1        (* (reg8 *) CLK_CMX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CLK_CMX_PRTDSI__OUT_SEL0       (* (reg8 *) CLK_CMX__PRTDSI__OUT_SEL0) 
#define CLK_CMX_PRTDSI__OUT_SEL1       (* (reg8 *) CLK_CMX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CLK_CMX_PRTDSI__SYNC_OUT       (* (reg8 *) CLK_CMX__PRTDSI__SYNC_OUT) 


#if defined(CLK_CMX__INTSTAT)  /* Interrupt Registers */

    #define CLK_CMX_INTSTAT                (* (reg8 *) CLK_CMX__INTSTAT)
    #define CLK_CMX_SNAP                   (* (reg8 *) CLK_CMX__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CLK_CMX_H */


/* [] END OF FILE */
