/*******************************************************************************
* File Name: CMX_CARR_DET.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CMX_CARR_DET_H) /* Pins CMX_CARR_DET_H */
#define CY_PINS_CMX_CARR_DET_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CMX_CARR_DET_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CMX_CARR_DET__PORT == 15 && ((CMX_CARR_DET__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    CMX_CARR_DET_Write(uint8 value) ;
void    CMX_CARR_DET_SetDriveMode(uint8 mode) ;
uint8   CMX_CARR_DET_ReadDataReg(void) ;
uint8   CMX_CARR_DET_Read(void) ;
uint8   CMX_CARR_DET_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CMX_CARR_DET_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CMX_CARR_DET_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CMX_CARR_DET_DM_RES_UP          PIN_DM_RES_UP
#define CMX_CARR_DET_DM_RES_DWN         PIN_DM_RES_DWN
#define CMX_CARR_DET_DM_OD_LO           PIN_DM_OD_LO
#define CMX_CARR_DET_DM_OD_HI           PIN_DM_OD_HI
#define CMX_CARR_DET_DM_STRONG          PIN_DM_STRONG
#define CMX_CARR_DET_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CMX_CARR_DET_MASK               CMX_CARR_DET__MASK
#define CMX_CARR_DET_SHIFT              CMX_CARR_DET__SHIFT
#define CMX_CARR_DET_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CMX_CARR_DET_PS                     (* (reg8 *) CMX_CARR_DET__PS)
/* Data Register */
#define CMX_CARR_DET_DR                     (* (reg8 *) CMX_CARR_DET__DR)
/* Port Number */
#define CMX_CARR_DET_PRT_NUM                (* (reg8 *) CMX_CARR_DET__PRT) 
/* Connect to Analog Globals */                                                  
#define CMX_CARR_DET_AG                     (* (reg8 *) CMX_CARR_DET__AG)                       
/* Analog MUX bux enable */
#define CMX_CARR_DET_AMUX                   (* (reg8 *) CMX_CARR_DET__AMUX) 
/* Bidirectional Enable */                                                        
#define CMX_CARR_DET_BIE                    (* (reg8 *) CMX_CARR_DET__BIE)
/* Bit-mask for Aliased Register Access */
#define CMX_CARR_DET_BIT_MASK               (* (reg8 *) CMX_CARR_DET__BIT_MASK)
/* Bypass Enable */
#define CMX_CARR_DET_BYP                    (* (reg8 *) CMX_CARR_DET__BYP)
/* Port wide control signals */                                                   
#define CMX_CARR_DET_CTL                    (* (reg8 *) CMX_CARR_DET__CTL)
/* Drive Modes */
#define CMX_CARR_DET_DM0                    (* (reg8 *) CMX_CARR_DET__DM0) 
#define CMX_CARR_DET_DM1                    (* (reg8 *) CMX_CARR_DET__DM1)
#define CMX_CARR_DET_DM2                    (* (reg8 *) CMX_CARR_DET__DM2) 
/* Input Buffer Disable Override */
#define CMX_CARR_DET_INP_DIS                (* (reg8 *) CMX_CARR_DET__INP_DIS)
/* LCD Common or Segment Drive */
#define CMX_CARR_DET_LCD_COM_SEG            (* (reg8 *) CMX_CARR_DET__LCD_COM_SEG)
/* Enable Segment LCD */
#define CMX_CARR_DET_LCD_EN                 (* (reg8 *) CMX_CARR_DET__LCD_EN)
/* Slew Rate Control */
#define CMX_CARR_DET_SLW                    (* (reg8 *) CMX_CARR_DET__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CMX_CARR_DET_PRTDSI__CAPS_SEL       (* (reg8 *) CMX_CARR_DET__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CMX_CARR_DET_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CMX_CARR_DET__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CMX_CARR_DET_PRTDSI__OE_SEL0        (* (reg8 *) CMX_CARR_DET__PRTDSI__OE_SEL0) 
#define CMX_CARR_DET_PRTDSI__OE_SEL1        (* (reg8 *) CMX_CARR_DET__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CMX_CARR_DET_PRTDSI__OUT_SEL0       (* (reg8 *) CMX_CARR_DET__PRTDSI__OUT_SEL0) 
#define CMX_CARR_DET_PRTDSI__OUT_SEL1       (* (reg8 *) CMX_CARR_DET__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CMX_CARR_DET_PRTDSI__SYNC_OUT       (* (reg8 *) CMX_CARR_DET__PRTDSI__SYNC_OUT) 


#if defined(CMX_CARR_DET__INTSTAT)  /* Interrupt Registers */

    #define CMX_CARR_DET_INTSTAT                (* (reg8 *) CMX_CARR_DET__INTSTAT)
    #define CMX_CARR_DET_SNAP                   (* (reg8 *) CMX_CARR_DET__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CMX_CARR_DET_H */


/* [] END OF FILE */
