/*******************************************************************************
* File Name: CMX_TX_ENABLE.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CMX_TX_ENABLE_H) /* Pins CMX_TX_ENABLE_H */
#define CY_PINS_CMX_TX_ENABLE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CMX_TX_ENABLE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CMX_TX_ENABLE__PORT == 15 && ((CMX_TX_ENABLE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    CMX_TX_ENABLE_Write(uint8 value) ;
void    CMX_TX_ENABLE_SetDriveMode(uint8 mode) ;
uint8   CMX_TX_ENABLE_ReadDataReg(void) ;
uint8   CMX_TX_ENABLE_Read(void) ;
uint8   CMX_TX_ENABLE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CMX_TX_ENABLE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CMX_TX_ENABLE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CMX_TX_ENABLE_DM_RES_UP          PIN_DM_RES_UP
#define CMX_TX_ENABLE_DM_RES_DWN         PIN_DM_RES_DWN
#define CMX_TX_ENABLE_DM_OD_LO           PIN_DM_OD_LO
#define CMX_TX_ENABLE_DM_OD_HI           PIN_DM_OD_HI
#define CMX_TX_ENABLE_DM_STRONG          PIN_DM_STRONG
#define CMX_TX_ENABLE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CMX_TX_ENABLE_MASK               CMX_TX_ENABLE__MASK
#define CMX_TX_ENABLE_SHIFT              CMX_TX_ENABLE__SHIFT
#define CMX_TX_ENABLE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CMX_TX_ENABLE_PS                     (* (reg8 *) CMX_TX_ENABLE__PS)
/* Data Register */
#define CMX_TX_ENABLE_DR                     (* (reg8 *) CMX_TX_ENABLE__DR)
/* Port Number */
#define CMX_TX_ENABLE_PRT_NUM                (* (reg8 *) CMX_TX_ENABLE__PRT) 
/* Connect to Analog Globals */                                                  
#define CMX_TX_ENABLE_AG                     (* (reg8 *) CMX_TX_ENABLE__AG)                       
/* Analog MUX bux enable */
#define CMX_TX_ENABLE_AMUX                   (* (reg8 *) CMX_TX_ENABLE__AMUX) 
/* Bidirectional Enable */                                                        
#define CMX_TX_ENABLE_BIE                    (* (reg8 *) CMX_TX_ENABLE__BIE)
/* Bit-mask for Aliased Register Access */
#define CMX_TX_ENABLE_BIT_MASK               (* (reg8 *) CMX_TX_ENABLE__BIT_MASK)
/* Bypass Enable */
#define CMX_TX_ENABLE_BYP                    (* (reg8 *) CMX_TX_ENABLE__BYP)
/* Port wide control signals */                                                   
#define CMX_TX_ENABLE_CTL                    (* (reg8 *) CMX_TX_ENABLE__CTL)
/* Drive Modes */
#define CMX_TX_ENABLE_DM0                    (* (reg8 *) CMX_TX_ENABLE__DM0) 
#define CMX_TX_ENABLE_DM1                    (* (reg8 *) CMX_TX_ENABLE__DM1)
#define CMX_TX_ENABLE_DM2                    (* (reg8 *) CMX_TX_ENABLE__DM2) 
/* Input Buffer Disable Override */
#define CMX_TX_ENABLE_INP_DIS                (* (reg8 *) CMX_TX_ENABLE__INP_DIS)
/* LCD Common or Segment Drive */
#define CMX_TX_ENABLE_LCD_COM_SEG            (* (reg8 *) CMX_TX_ENABLE__LCD_COM_SEG)
/* Enable Segment LCD */
#define CMX_TX_ENABLE_LCD_EN                 (* (reg8 *) CMX_TX_ENABLE__LCD_EN)
/* Slew Rate Control */
#define CMX_TX_ENABLE_SLW                    (* (reg8 *) CMX_TX_ENABLE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CMX_TX_ENABLE_PRTDSI__CAPS_SEL       (* (reg8 *) CMX_TX_ENABLE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CMX_TX_ENABLE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CMX_TX_ENABLE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CMX_TX_ENABLE_PRTDSI__OE_SEL0        (* (reg8 *) CMX_TX_ENABLE__PRTDSI__OE_SEL0) 
#define CMX_TX_ENABLE_PRTDSI__OE_SEL1        (* (reg8 *) CMX_TX_ENABLE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CMX_TX_ENABLE_PRTDSI__OUT_SEL0       (* (reg8 *) CMX_TX_ENABLE__PRTDSI__OUT_SEL0) 
#define CMX_TX_ENABLE_PRTDSI__OUT_SEL1       (* (reg8 *) CMX_TX_ENABLE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CMX_TX_ENABLE_PRTDSI__SYNC_OUT       (* (reg8 *) CMX_TX_ENABLE__PRTDSI__SYNC_OUT) 


#if defined(CMX_TX_ENABLE__INTSTAT)  /* Interrupt Registers */

    #define CMX_TX_ENABLE_INTSTAT                (* (reg8 *) CMX_TX_ENABLE__INTSTAT)
    #define CMX_TX_ENABLE_SNAP                   (* (reg8 *) CMX_TX_ENABLE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CMX_TX_ENABLE_H */


/* [] END OF FILE */
