/*******************************************************************************
* File Name: DATA_CMX.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DATA_CMX_H) /* Pins DATA_CMX_H */
#define CY_PINS_DATA_CMX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DATA_CMX_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DATA_CMX__PORT == 15 && ((DATA_CMX__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    DATA_CMX_Write(uint8 value) ;
void    DATA_CMX_SetDriveMode(uint8 mode) ;
uint8   DATA_CMX_ReadDataReg(void) ;
uint8   DATA_CMX_Read(void) ;
uint8   DATA_CMX_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DATA_CMX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DATA_CMX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DATA_CMX_DM_RES_UP          PIN_DM_RES_UP
#define DATA_CMX_DM_RES_DWN         PIN_DM_RES_DWN
#define DATA_CMX_DM_OD_LO           PIN_DM_OD_LO
#define DATA_CMX_DM_OD_HI           PIN_DM_OD_HI
#define DATA_CMX_DM_STRONG          PIN_DM_STRONG
#define DATA_CMX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DATA_CMX_MASK               DATA_CMX__MASK
#define DATA_CMX_SHIFT              DATA_CMX__SHIFT
#define DATA_CMX_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DATA_CMX_PS                     (* (reg8 *) DATA_CMX__PS)
/* Data Register */
#define DATA_CMX_DR                     (* (reg8 *) DATA_CMX__DR)
/* Port Number */
#define DATA_CMX_PRT_NUM                (* (reg8 *) DATA_CMX__PRT) 
/* Connect to Analog Globals */                                                  
#define DATA_CMX_AG                     (* (reg8 *) DATA_CMX__AG)                       
/* Analog MUX bux enable */
#define DATA_CMX_AMUX                   (* (reg8 *) DATA_CMX__AMUX) 
/* Bidirectional Enable */                                                        
#define DATA_CMX_BIE                    (* (reg8 *) DATA_CMX__BIE)
/* Bit-mask for Aliased Register Access */
#define DATA_CMX_BIT_MASK               (* (reg8 *) DATA_CMX__BIT_MASK)
/* Bypass Enable */
#define DATA_CMX_BYP                    (* (reg8 *) DATA_CMX__BYP)
/* Port wide control signals */                                                   
#define DATA_CMX_CTL                    (* (reg8 *) DATA_CMX__CTL)
/* Drive Modes */
#define DATA_CMX_DM0                    (* (reg8 *) DATA_CMX__DM0) 
#define DATA_CMX_DM1                    (* (reg8 *) DATA_CMX__DM1)
#define DATA_CMX_DM2                    (* (reg8 *) DATA_CMX__DM2) 
/* Input Buffer Disable Override */
#define DATA_CMX_INP_DIS                (* (reg8 *) DATA_CMX__INP_DIS)
/* LCD Common or Segment Drive */
#define DATA_CMX_LCD_COM_SEG            (* (reg8 *) DATA_CMX__LCD_COM_SEG)
/* Enable Segment LCD */
#define DATA_CMX_LCD_EN                 (* (reg8 *) DATA_CMX__LCD_EN)
/* Slew Rate Control */
#define DATA_CMX_SLW                    (* (reg8 *) DATA_CMX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DATA_CMX_PRTDSI__CAPS_SEL       (* (reg8 *) DATA_CMX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DATA_CMX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DATA_CMX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DATA_CMX_PRTDSI__OE_SEL0        (* (reg8 *) DATA_CMX__PRTDSI__OE_SEL0) 
#define DATA_CMX_PRTDSI__OE_SEL1        (* (reg8 *) DATA_CMX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DATA_CMX_PRTDSI__OUT_SEL0       (* (reg8 *) DATA_CMX__PRTDSI__OUT_SEL0) 
#define DATA_CMX_PRTDSI__OUT_SEL1       (* (reg8 *) DATA_CMX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DATA_CMX_PRTDSI__SYNC_OUT       (* (reg8 *) DATA_CMX__PRTDSI__SYNC_OUT) 


#if defined(DATA_CMX__INTSTAT)  /* Interrupt Registers */

    #define DATA_CMX_INTSTAT                (* (reg8 *) DATA_CMX__INTSTAT)
    #define DATA_CMX_SNAP                   (* (reg8 *) DATA_CMX__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_DATA_CMX_H */


/* [] END OF FILE */
