/*******************************************************************************
* File Name: DISPLAY_UTX.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DISPLAY_UTX_H) /* Pins DISPLAY_UTX_H */
#define CY_PINS_DISPLAY_UTX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DISPLAY_UTX_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 DISPLAY_UTX__PORT == 15 && ((DISPLAY_UTX__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    DISPLAY_UTX_Write(uint8 value) ;
void    DISPLAY_UTX_SetDriveMode(uint8 mode) ;
uint8   DISPLAY_UTX_ReadDataReg(void) ;
uint8   DISPLAY_UTX_Read(void) ;
uint8   DISPLAY_UTX_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DISPLAY_UTX_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DISPLAY_UTX_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DISPLAY_UTX_DM_RES_UP          PIN_DM_RES_UP
#define DISPLAY_UTX_DM_RES_DWN         PIN_DM_RES_DWN
#define DISPLAY_UTX_DM_OD_LO           PIN_DM_OD_LO
#define DISPLAY_UTX_DM_OD_HI           PIN_DM_OD_HI
#define DISPLAY_UTX_DM_STRONG          PIN_DM_STRONG
#define DISPLAY_UTX_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DISPLAY_UTX_MASK               DISPLAY_UTX__MASK
#define DISPLAY_UTX_SHIFT              DISPLAY_UTX__SHIFT
#define DISPLAY_UTX_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DISPLAY_UTX_PS                     (* (reg8 *) DISPLAY_UTX__PS)
/* Data Register */
#define DISPLAY_UTX_DR                     (* (reg8 *) DISPLAY_UTX__DR)
/* Port Number */
#define DISPLAY_UTX_PRT_NUM                (* (reg8 *) DISPLAY_UTX__PRT) 
/* Connect to Analog Globals */                                                  
#define DISPLAY_UTX_AG                     (* (reg8 *) DISPLAY_UTX__AG)                       
/* Analog MUX bux enable */
#define DISPLAY_UTX_AMUX                   (* (reg8 *) DISPLAY_UTX__AMUX) 
/* Bidirectional Enable */                                                        
#define DISPLAY_UTX_BIE                    (* (reg8 *) DISPLAY_UTX__BIE)
/* Bit-mask for Aliased Register Access */
#define DISPLAY_UTX_BIT_MASK               (* (reg8 *) DISPLAY_UTX__BIT_MASK)
/* Bypass Enable */
#define DISPLAY_UTX_BYP                    (* (reg8 *) DISPLAY_UTX__BYP)
/* Port wide control signals */                                                   
#define DISPLAY_UTX_CTL                    (* (reg8 *) DISPLAY_UTX__CTL)
/* Drive Modes */
#define DISPLAY_UTX_DM0                    (* (reg8 *) DISPLAY_UTX__DM0) 
#define DISPLAY_UTX_DM1                    (* (reg8 *) DISPLAY_UTX__DM1)
#define DISPLAY_UTX_DM2                    (* (reg8 *) DISPLAY_UTX__DM2) 
/* Input Buffer Disable Override */
#define DISPLAY_UTX_INP_DIS                (* (reg8 *) DISPLAY_UTX__INP_DIS)
/* LCD Common or Segment Drive */
#define DISPLAY_UTX_LCD_COM_SEG            (* (reg8 *) DISPLAY_UTX__LCD_COM_SEG)
/* Enable Segment LCD */
#define DISPLAY_UTX_LCD_EN                 (* (reg8 *) DISPLAY_UTX__LCD_EN)
/* Slew Rate Control */
#define DISPLAY_UTX_SLW                    (* (reg8 *) DISPLAY_UTX__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DISPLAY_UTX_PRTDSI__CAPS_SEL       (* (reg8 *) DISPLAY_UTX__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DISPLAY_UTX_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DISPLAY_UTX__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DISPLAY_UTX_PRTDSI__OE_SEL0        (* (reg8 *) DISPLAY_UTX__PRTDSI__OE_SEL0) 
#define DISPLAY_UTX_PRTDSI__OE_SEL1        (* (reg8 *) DISPLAY_UTX__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DISPLAY_UTX_PRTDSI__OUT_SEL0       (* (reg8 *) DISPLAY_UTX__PRTDSI__OUT_SEL0) 
#define DISPLAY_UTX_PRTDSI__OUT_SEL1       (* (reg8 *) DISPLAY_UTX__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DISPLAY_UTX_PRTDSI__SYNC_OUT       (* (reg8 *) DISPLAY_UTX__PRTDSI__SYNC_OUT) 


#if defined(DISPLAY_UTX__INTSTAT)  /* Interrupt Registers */

    #define DISPLAY_UTX_INTSTAT                (* (reg8 *) DISPLAY_UTX__INTSTAT)
    #define DISPLAY_UTX_SNAP                   (* (reg8 *) DISPLAY_UTX__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_DISPLAY_UTX_H */


/* [] END OF FILE */
