/*******************************************************************************
* File Name: Digital_Filter_ADC_DelSig_AMux.h
* Version 1.60
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_Digital_Filter_ADC_DelSig_AMux_H)
#define CY_AMUX_Digital_Filter_ADC_DelSig_AMux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void Digital_Filter_ADC_DelSig_AMux_Start(void);
# define Digital_Filter_ADC_DelSig_AMux_Init() Digital_Filter_ADC_DelSig_AMux_Start()
void Digital_Filter_ADC_DelSig_AMux_FastSelect(uint8 channel) ;
/* The Stop, Select, Connect, Disconnect and DisconnectAll functions are declared elsewhere */
/* void Digital_Filter_ADC_DelSig_AMux_Stop(void); */
/* void Digital_Filter_ADC_DelSig_AMux_Select(uint8 channel); */
/* void Digital_Filter_ADC_DelSig_AMux_Connect(uint8 channel); */
/* void Digital_Filter_ADC_DelSig_AMux_Disconnect(uint8 channel); */
/* void Digital_Filter_ADC_DelSig_AMux_DisconnectAll(void) */


/***************************************
*     Initial Parameter Constants
***************************************/

#define Digital_Filter_ADC_DelSig_AMux_CHANNELS  2
#define Digital_Filter_ADC_DelSig_AMux_MUXTYPE   1
#define Digital_Filter_ADC_DelSig_AMux_ATMOSTONE 0

/***************************************
*             API Constants
***************************************/

#define Digital_Filter_ADC_DelSig_AMux_NULL_CHANNEL  0xFFu
#define Digital_Filter_ADC_DelSig_AMux_MUX_SINGLE   1
#define Digital_Filter_ADC_DelSig_AMux_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if Digital_Filter_ADC_DelSig_AMux_MUXTYPE == Digital_Filter_ADC_DelSig_AMux_MUX_SINGLE
#if !Digital_Filter_ADC_DelSig_AMux_ATMOSTONE
# define Digital_Filter_ADC_DelSig_AMux_Connect(channel) Digital_Filter_ADC_DelSig_AMux_Set(channel)
#endif
# define Digital_Filter_ADC_DelSig_AMux_Disconnect(channel) Digital_Filter_ADC_DelSig_AMux_Unset(channel)
#else
#if !Digital_Filter_ADC_DelSig_AMux_ATMOSTONE
void Digital_Filter_ADC_DelSig_AMux_Connect(uint8 channel) ;
#endif
void Digital_Filter_ADC_DelSig_AMux_Disconnect(uint8 channel) ;
#endif

#if Digital_Filter_ADC_DelSig_AMux_ATMOSTONE
# define Digital_Filter_ADC_DelSig_AMux_Stop() Digital_Filter_ADC_DelSig_AMux_DisconnectAll()
# define Digital_Filter_ADC_DelSig_AMux_Select(channel) Digital_Filter_ADC_DelSig_AMux_FastSelect(channel)
void Digital_Filter_ADC_DelSig_AMux_DisconnectAll(void) ;
#else
# define Digital_Filter_ADC_DelSig_AMux_Stop() Digital_Filter_ADC_DelSig_AMux_Start()
void Digital_Filter_ADC_DelSig_AMux_Select(uint8 channel) ;
# define Digital_Filter_ADC_DelSig_AMux_DisconnectAll() Digital_Filter_ADC_DelSig_AMux_Start()
#endif

#endif /* CY_AMUX_Digital_Filter_ADC_DelSig_AMux_H */


/* [] END OF FILE */
