/*******************************************************************************
* File Name: Digital_Filter_ADC_DelSig_INT.c  
* Version 2.30
*
* Description:
*  This file contains the code that operates during the ADC_DelSig interrupt 
*  service routine.  
*
* Note:
*
*******************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include "Digital_Filter_ADC_DelSig.h"  


/*******************************************************************************
* Custom Declarations and Variables
* - add user inlcude files, prototypes and variables between the following 
*   #START and #END tags
*******************************************************************************/
/* `#START ADC_SYS_VAR`  */

/* `#END`  */


/*****************************************************************************
* Function Name: Digital_Filter_ADC_DelSig_ISR1
******************************************************************************
*
* Summary:
*  Handle Interrupt Service Routine.  
*
* Parameters:  
*  void
*
* Return: 
*  void 
*
* Reentrant: 
*  No
*
*****************************************************************************/
CY_ISR( Digital_Filter_ADC_DelSig_ISR1)
{
    /***************************************************************************
    *  Custom Code
    *  - add user ISR code between the following #START and #END tags
    **************************************************************************/
    /* `#START MAIN_ADC_ISR1`  */

    /* `#END`  */
    
    /* Stop the conversion if conversion mode is single sample and resolution
       is above 16 bits. 
    */
    #if(Digital_Filter_ADC_DelSig_Audio_CFG_RESOLUTION > 16 && \
        Digital_Filter_ADC_DelSig_Audio_CFG_CONV_MODE == Digital_Filter_ADC_DelSig_MODE_SINGLE_SAMPLE) 
        Digital_Filter_ADC_DelSig_StopConvert(); 
    #endif /* Single sample conversion mode with resolution above 16 bits */         
        
}


/*****************************************************************************
* Function Name: Digital_Filter_ADC_DelSig_ISR2
******************************************************************************
*
* Summary:
*  Handle Interrupt Service Routine.  
*
* Parameters:  
*  void
*
* Return: 
*  void 
*
* Reentrant: 
*  No
*
*****************************************************************************/
CY_ISR( Digital_Filter_ADC_DelSig_ISR2)
{
    /***************************************************************************
    *  Custom Code
    *  - add user ISR code between the following #START and #END tags
    **************************************************************************/
    /* `#START MAIN_ADC_ISR2`  */

    /* `#END`  */
    
    /* Stop the conversion conversion mode is single sample and resolution
       is above 16 bits.
    */
    #if(Digital_Filter_ADC_DelSig_RSSI_CFG_RESOLUTION > 16 && \
        Digital_Filter_ADC_DelSig_RSSI_CFG_CONVMODE == Digital_Filter_ADC_DelSig_MODE_SINGLE_SAMPLE) 
        Digital_Filter_ADC_DelSig_StopConvert(); 
    #endif /* Single sample conversion mode with resolution above 16 bits */
    
}


/*****************************************************************************
* Function Name: Digital_Filter_ADC_DelSig_ISR3
******************************************************************************
*
* Summary:
*  Handle Interrupt Service Routine.  
*
* Parameters:  
*  void
*
* Return: 
*  void 
*
* Reentrant: 
*  No
*
*****************************************************************************/
CY_ISR( Digital_Filter_ADC_DelSig_ISR3)
{
    /***************************************************************************
    *  Custom Code
    *  - add user ISR code between the following #START and #END tags
    **************************************************************************/
    /* `#START MAIN_ADC_ISR3`  */

    /* `#END`  */

    /* Stop the conversion if conversion mode is set to single sample and 
       resolution is above 16 bits. 
    */
    #if(Digital_Filter_ADC_DelSig_CFG3_RESOLUTION > 16 && \
        Digital_Filter_ADC_DelSig_CFG3_CONVMODE == Digital_Filter_ADC_DelSig_MODE_SINGLE_SAMPLE) 
        Digital_Filter_ADC_DelSig_StopConvert(); 
    #endif /* Single sample conversion mode with resolution above 16 bits */  
}


/*****************************************************************************
* Function Name: Digital_Filter_ADC_DelSig_ISR4
******************************************************************************
*
* Summary:
*  Handle Interrupt Service Routine.  
*
* Parameters:  
*  void
*
* Return: 
*  void 
*
* Reentrant: 
*  No
*
*****************************************************************************/
CY_ISR( Digital_Filter_ADC_DelSig_ISR4)
{
    /***************************************************************************
    *  Custom Code
    *  - add user ISR code between the following #START and #END tags
    **************************************************************************/
    /* `#START MAIN_ADC_ISR4`  */

    /* `#END`  */
    
    /* Stop the conversion if conversion mode is set to single sample and 
       resolution is above 16 bits. 
    */
    #if(Digital_Filter_ADC_DelSig_CFG4_RESOLUTION > 16 && \
        Digital_Filter_ADC_DelSig_CFG4_CONVMODE == Digital_Filter_ADC_DelSig_MODE_SINGLE_SAMPLE) 
        Digital_Filter_ADC_DelSig_StopConvert(); 
    #endif /* Single sample conversion mode with resolution above 16 bits */
}


/* [] END OF FILE */
