/***************************************************************************
* File Name: Digital_Filter_DMA_Filter2VDAC8_dma.c  
* Version 1.70
*
*  Description:
*   Provides an API for the DMAC component. The API includes functions
*   for the DMA controller, DMA channels and Transfer Descriptors.
*
*
*   Note:
*     This module requires the developer to finish or fill in the auto
*     generated funcions and setup the dma channel and TD's.
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#include <CYLIB.H>
#include <CYDMAC.H>
#include <Digital_Filter_DMA_Filter2VDAC8_dma.H>



/****************************************************************************
* 
* The following defines are available in Cyfitter.h
* 
* 
* 
* Digital_Filter_DMA_Filter2VDAC8__DRQ_CTL_REG
* 
* 
* Digital_Filter_DMA_Filter2VDAC8__DRQ_NUMBER
* 
* Number of TD's used by this channel.
* Digital_Filter_DMA_Filter2VDAC8__NUMBEROF_TDS
* 
* Priority of this channel.
* Digital_Filter_DMA_Filter2VDAC8__PRIORITY
* 
* True if Digital_Filter_DMA_Filter2VDAC8_TERMIN_SEL is used.
* Digital_Filter_DMA_Filter2VDAC8__TERMIN_EN
* 
* TERMIN interrupt line to signal terminate.
* Digital_Filter_DMA_Filter2VDAC8__TERMIN_SEL
* 
* 
* True if Digital_Filter_DMA_Filter2VDAC8_TERMOUT0_SEL is used.
* Digital_Filter_DMA_Filter2VDAC8__TERMOUT0_EN
* 
* 
* TERMOUT0 interrupt line to signal completion.
* Digital_Filter_DMA_Filter2VDAC8__TERMOUT0_SEL
* 
* 
* True if Digital_Filter_DMA_Filter2VDAC8_TERMOUT1_SEL is used.
* Digital_Filter_DMA_Filter2VDAC8__TERMOUT1_EN
* 
* 
* TERMOUT1 interrupt line to signal completion.
* Digital_Filter_DMA_Filter2VDAC8__TERMOUT1_SEL
* 
****************************************************************************/


/* Zero based index of Digital_Filter_DMA_Filter2VDAC8 dma channel */
uint8 Digital_Filter_DMA_Filter2VDAC8_DmaHandle = DMA_INVALID_CHANNEL;

/*********************************************************************
* Function Name: uint8 Digital_Filter_DMA_Filter2VDAC8_DmaInitalize
**********************************************************************
* Summary:
*   Allocates and initialises a channel of the DMAC to be used by the
*   caller.
*
* Parameters:
*   BurstCount.
*       
*       
*   ReqestPerBurst.
*       
*       
*   UpperSrcAddress.
*       
*       
*   UpperDestAddress.
*       
*
* Return:
*   The channel that can be used by the caller for DMA activity.
*   DMA_INVALID_CHANNEL (0xFF) if there are no channels left. 
*
*
*******************************************************************/
uint8 Digital_Filter_DMA_Filter2VDAC8_DmaInitialize(uint8 BurstCount, uint8 ReqestPerBurst, uint16 UpperSrcAddress, uint16 UpperDestAddress) 
{

    /* Allocate a DMA channel. */
    Digital_Filter_DMA_Filter2VDAC8_DmaHandle = (uint8)Digital_Filter_DMA_Filter2VDAC8__DRQ_NUMBER;

    /* Configure the channel. */
    (void)CyDmaChSetConfiguration(Digital_Filter_DMA_Filter2VDAC8_DmaHandle,
                                  BurstCount,
                                  ReqestPerBurst,
                                  (uint8)Digital_Filter_DMA_Filter2VDAC8__TERMOUT0_SEL,
                                  (uint8)Digital_Filter_DMA_Filter2VDAC8__TERMOUT1_SEL,
                                  (uint8)Digital_Filter_DMA_Filter2VDAC8__TERMIN_SEL);

    /* Set the extended address for the transfers */
    (void)CyDmaChSetExtendedAddress(Digital_Filter_DMA_Filter2VDAC8_DmaHandle, UpperSrcAddress, UpperDestAddress);

    /* Set the priority for this channel */
    (void)CyDmaChPriority(Digital_Filter_DMA_Filter2VDAC8_DmaHandle, (uint8)Digital_Filter_DMA_Filter2VDAC8__PRIORITY);
    
    return Digital_Filter_DMA_Filter2VDAC8_DmaHandle;
}

/*********************************************************************
* Function Name: void Digital_Filter_DMA_Filter2VDAC8_DmaRelease
**********************************************************************
* Summary:
*   Frees the channel associated with Digital_Filter_DMA_Filter2VDAC8.
*
*
* Parameters:
*   void.
*
*
*
* Return:
*   void.
*
*******************************************************************/
void Digital_Filter_DMA_Filter2VDAC8_DmaRelease(void) 
{
    /* Disable the channel */
    (void)CyDmaChDisable(Digital_Filter_DMA_Filter2VDAC8_DmaHandle);
}

