/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: Digital_Filter_Filter_Start
********************************************************************************
* Summary:
*  Start the HW for FIR_filter component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void Digital_Filter_Start(void) 
{
	// Variable declarations for DMA_ADC2Filter
	uint8 Digital_Filter_DMA_ADC2Filter_Chan;
	uint8 Digital_Filter_DMA_ADC2Filter_TD[1];
	// DMA Configuration for DMA_ADC2Filter
	#define Digital_Filter_DMA_ADC2Filter_BYTES_PER_BURST 1
	#define Digital_Filter_DMA_ADC2Filter_REQUEST_PER_BURST 1
	#define Digital_Filter_DMA_ADC2Filter_SRC_BASE (CYDEV_PERIPH_BASE)
	#define Digital_Filter_DMA_ADC2Filter_DST_BASE (CYDEV_PERIPH_BASE)

	// Variable declarations for DMA_Filter2VDAC8
	uint8 Digital_Filter_DMA_Filter2VDAC8_Chan;
	uint8 Digital_Filter_DMA_Filter2VDAC8_TD[1];
	// DMA Configuration for DMA_Filter2VDAC8
	#define Digital_Filter_DMA_Filter2VDAC8_BYTES_PER_BURST 1
	#define Digital_Filter_DMA_Filter2VDAC8_REQUEST_PER_BURST 1
	#define Digital_Filter_DMA_Filter2VDAC8_SRC_BASE (CYDEV_PERIPH_BASE)
	#define Digital_Filter_DMA_Filter2VDAC8_DST_BASE (CYDEV_PERIPH_BASE)

	// Filter Coherency set to 1 byte burst
	Digital_Filter_Filter_COHER_REG = 0x55;
	// Start VDAC8s
	Digital_Filter_Filter_VDAC8_Start();
	// Start filter
	Digital_Filter_Filter_Start();
	// Start ADC
	Digital_Filter_ADC_DelSig_SelectConfiguration(Digital_Filter_ADC_DelSig_Audio_CFG, 0);
    Digital_Filter_ADC_DelSig_Start();
	// Desactivar interrupcion al terminar la conversion
	Digital_Filter_ADC_DelSig_IRQ_Disable();
	// Start ADC conversions
    Digital_Filter_ADC_DelSig_StartConvert();
	
	// Configuration for DMA_ADC2Filter
	Digital_Filter_DMA_ADC2Filter_Chan = Digital_Filter_DMA_ADC2Filter_DmaInitialize(Digital_Filter_DMA_ADC2Filter_BYTES_PER_BURST, Digital_Filter_DMA_ADC2Filter_REQUEST_PER_BURST, HI16(Digital_Filter_DMA_ADC2Filter_SRC_BASE), HI16(Digital_Filter_DMA_ADC2Filter_DST_BASE));
	Digital_Filter_DMA_ADC2Filter_TD[0] = CyDmaTdAllocate();
	CyDmaTdSetConfiguration(Digital_Filter_DMA_ADC2Filter_TD[0], 1, Digital_Filter_DMA_ADC2Filter_TD[0], 0);
	CyDmaTdSetAddress(Digital_Filter_DMA_ADC2Filter_TD[0], LO16((uint32)Digital_Filter_ADC_DelSig_DEC_SAMP_PTR), LO16((uint32)Digital_Filter_Filter_STAGEAM_PTR));
	CyDmaChSetInitialTd(Digital_Filter_DMA_ADC2Filter_Chan, Digital_Filter_DMA_ADC2Filter_TD[0]);
	CyDmaChEnable(Digital_Filter_DMA_ADC2Filter_Chan, 1);
	
	// Configuration for DMA_Filter2VDAC8
	Digital_Filter_DMA_Filter2VDAC8_Chan = Digital_Filter_DMA_Filter2VDAC8_DmaInitialize(Digital_Filter_DMA_Filter2VDAC8_BYTES_PER_BURST, Digital_Filter_DMA_Filter2VDAC8_REQUEST_PER_BURST, HI16(Digital_Filter_DMA_Filter2VDAC8_SRC_BASE), HI16(Digital_Filter_DMA_Filter2VDAC8_DST_BASE));
	Digital_Filter_DMA_Filter2VDAC8_TD[0] = CyDmaTdAllocate();
	CyDmaTdSetConfiguration(Digital_Filter_DMA_Filter2VDAC8_TD[0], 1, Digital_Filter_DMA_Filter2VDAC8_TD[0], 0);
	CyDmaTdSetAddress(Digital_Filter_DMA_Filter2VDAC8_TD[0], LO16((uint32)Digital_Filter_Filter_HOLDAM_PTR), LO16((uint32)Digital_Filter_Filter_VDAC8_Data_PTR));
	CyDmaChSetInitialTd(Digital_Filter_DMA_Filter2VDAC8_Chan, Digital_Filter_DMA_Filter2VDAC8_TD[0]);
	CyDmaChEnable(Digital_Filter_DMA_Filter2VDAC8_Chan, 1);
}

/*******************************************************************************
* Function Name: Digital_Filter_Filter_Stop
********************************************************************************
* Summary:
*  Stop the HW for FIR_filter component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void Digital_Filter_Stop(void) 
{
	// Variable declarations for DMA_ADC2Filter and DMA_Filter2VDAC8
	uint8 Digital_Filter_DMA_ADC2Filter_Chan; 
	uint8 Digital_Filter_DMA_Filter2VDAC8_Chan;
	// Stop VDAC8
	Digital_Filter_Filter_VDAC8_Stop();
	// Stop filter
	Digital_Filter_Filter_Stop();
	// Stop ADC
    Digital_Filter_ADC_DelSig_Stop();
	// Desactivar los canales DMA
	CyDmaChDisable(Digital_Filter_DMA_ADC2Filter_Chan);
	CyDmaChDisable(Digital_Filter_DMA_Filter2VDAC8_Chan);
}

/* [] END OF FILE */
