/*******************************************************************************
* File Name: ETHWI_LINK.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ETHWI_LINK_H) /* Pins ETHWI_LINK_H */
#define CY_PINS_ETHWI_LINK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ETHWI_LINK_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 ETHWI_LINK__PORT == 15 && ((ETHWI_LINK__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    ETHWI_LINK_Write(uint8 value);
void    ETHWI_LINK_SetDriveMode(uint8 mode);
uint8   ETHWI_LINK_ReadDataReg(void);
uint8   ETHWI_LINK_Read(void);
void    ETHWI_LINK_SetInterruptMode(uint16 position, uint16 mode);
uint8   ETHWI_LINK_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the ETHWI_LINK_SetDriveMode() function.
     *  @{
     */
        #define ETHWI_LINK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define ETHWI_LINK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define ETHWI_LINK_DM_RES_UP          PIN_DM_RES_UP
        #define ETHWI_LINK_DM_RES_DWN         PIN_DM_RES_DWN
        #define ETHWI_LINK_DM_OD_LO           PIN_DM_OD_LO
        #define ETHWI_LINK_DM_OD_HI           PIN_DM_OD_HI
        #define ETHWI_LINK_DM_STRONG          PIN_DM_STRONG
        #define ETHWI_LINK_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define ETHWI_LINK_MASK               ETHWI_LINK__MASK
#define ETHWI_LINK_SHIFT              ETHWI_LINK__SHIFT
#define ETHWI_LINK_WIDTH              1u

/* Interrupt constants */
#if defined(ETHWI_LINK__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in ETHWI_LINK_SetInterruptMode() function.
     *  @{
     */
        #define ETHWI_LINK_INTR_NONE      (uint16)(0x0000u)
        #define ETHWI_LINK_INTR_RISING    (uint16)(0x0001u)
        #define ETHWI_LINK_INTR_FALLING   (uint16)(0x0002u)
        #define ETHWI_LINK_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define ETHWI_LINK_INTR_MASK      (0x01u) 
#endif /* (ETHWI_LINK__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ETHWI_LINK_PS                     (* (reg8 *) ETHWI_LINK__PS)
/* Data Register */
#define ETHWI_LINK_DR                     (* (reg8 *) ETHWI_LINK__DR)
/* Port Number */
#define ETHWI_LINK_PRT_NUM                (* (reg8 *) ETHWI_LINK__PRT) 
/* Connect to Analog Globals */                                                  
#define ETHWI_LINK_AG                     (* (reg8 *) ETHWI_LINK__AG)                       
/* Analog MUX bux enable */
#define ETHWI_LINK_AMUX                   (* (reg8 *) ETHWI_LINK__AMUX) 
/* Bidirectional Enable */                                                        
#define ETHWI_LINK_BIE                    (* (reg8 *) ETHWI_LINK__BIE)
/* Bit-mask for Aliased Register Access */
#define ETHWI_LINK_BIT_MASK               (* (reg8 *) ETHWI_LINK__BIT_MASK)
/* Bypass Enable */
#define ETHWI_LINK_BYP                    (* (reg8 *) ETHWI_LINK__BYP)
/* Port wide control signals */                                                   
#define ETHWI_LINK_CTL                    (* (reg8 *) ETHWI_LINK__CTL)
/* Drive Modes */
#define ETHWI_LINK_DM0                    (* (reg8 *) ETHWI_LINK__DM0) 
#define ETHWI_LINK_DM1                    (* (reg8 *) ETHWI_LINK__DM1)
#define ETHWI_LINK_DM2                    (* (reg8 *) ETHWI_LINK__DM2) 
/* Input Buffer Disable Override */
#define ETHWI_LINK_INP_DIS                (* (reg8 *) ETHWI_LINK__INP_DIS)
/* LCD Common or Segment Drive */
#define ETHWI_LINK_LCD_COM_SEG            (* (reg8 *) ETHWI_LINK__LCD_COM_SEG)
/* Enable Segment LCD */
#define ETHWI_LINK_LCD_EN                 (* (reg8 *) ETHWI_LINK__LCD_EN)
/* Slew Rate Control */
#define ETHWI_LINK_SLW                    (* (reg8 *) ETHWI_LINK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ETHWI_LINK_PRTDSI__CAPS_SEL       (* (reg8 *) ETHWI_LINK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ETHWI_LINK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ETHWI_LINK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ETHWI_LINK_PRTDSI__OE_SEL0        (* (reg8 *) ETHWI_LINK__PRTDSI__OE_SEL0) 
#define ETHWI_LINK_PRTDSI__OE_SEL1        (* (reg8 *) ETHWI_LINK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ETHWI_LINK_PRTDSI__OUT_SEL0       (* (reg8 *) ETHWI_LINK__PRTDSI__OUT_SEL0) 
#define ETHWI_LINK_PRTDSI__OUT_SEL1       (* (reg8 *) ETHWI_LINK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ETHWI_LINK_PRTDSI__SYNC_OUT       (* (reg8 *) ETHWI_LINK__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(ETHWI_LINK__SIO_CFG)
    #define ETHWI_LINK_SIO_HYST_EN        (* (reg8 *) ETHWI_LINK__SIO_HYST_EN)
    #define ETHWI_LINK_SIO_REG_HIFREQ     (* (reg8 *) ETHWI_LINK__SIO_REG_HIFREQ)
    #define ETHWI_LINK_SIO_CFG            (* (reg8 *) ETHWI_LINK__SIO_CFG)
    #define ETHWI_LINK_SIO_DIFF           (* (reg8 *) ETHWI_LINK__SIO_DIFF)
#endif /* (ETHWI_LINK__SIO_CFG) */

/* Interrupt Registers */
#if defined(ETHWI_LINK__INTSTAT)
    #define ETHWI_LINK_INTSTAT            (* (reg8 *) ETHWI_LINK__INTSTAT)
    #define ETHWI_LINK_SNAP               (* (reg8 *) ETHWI_LINK__SNAP)
    
	#define ETHWI_LINK_0_INTTYPE_REG 		(* (reg8 *) ETHWI_LINK__0__INTTYPE)
#endif /* (ETHWI_LINK__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_ETHWI_LINK_H */


/* [] END OF FILE */
