/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

/*******************************************************************************
* Function Name: FSK_Demodulator_SetFlagPattern
********************************************************************************
* Summary:
*  Set the 8 bits flagpattern to detect
* Parameters:  
*  8 bits pattern to detect
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Demodulator_SetFlagPattern(uint8 FlagPattern) 
{
	FSK_Demodulator_Control_Reg_L_Write(FlagPattern);
}

/*******************************************************************************
* Function Name: FSK_Demodulator_SetStopPattern
********************************************************************************
* Summary:
*  Set the stop pattern to detect
* Parameters:  
*  high and low part stop pattern
* Return:
*  void 
*
*******************************************************************************/
void FSK_Demodulator_SetStopPattern(uint8 StopPatternH, uint8 StopPatternL)
{
	FSK_Demodulator_Control_Reg_L_Write(StopPatternL);
	FSK_Demodulator_Control_Reg_H_Write(StopPatternH);
}

/*******************************************************************************
* Function Name: FSK_Demodulator_SetupHeaderDetection
********************************************************************************
* Summary:
*  Set detection preambule control flag
* Parameters:  
*  FlagSetup = 0 no detection, FlagSetup = 1 only dir preambule, FlagSetup = 2 only inv preambule, FlagSetup = 3 inv and dir preambule
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Demodulator_SetupHeaderDetection(uint8 FlagSetup)
{
	FSK_Demodulator_DirPreamSetup_Write(FlagSetup);
}

/* [] END OF FILE */
