/*******************************************************************************
* File Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware to read the value of a Status 
*  Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L.h"

#if !defined(FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_sts_sts_reg__REMOVED) /* Check for removal by optimization */


/*******************************************************************************
* Function Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The current value in the Status Register.
*
*******************************************************************************/
uint8 FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Read(void) 
{ 
    return FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status;
}


/*******************************************************************************
* Function Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptEnable
********************************************************************************
*
* Summary:
*  Enables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptEnable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Aux_Ctrl |= FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_STATUS_INTR_ENBL;
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptDisable
********************************************************************************
*
* Summary:
*  Disables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptDisable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Aux_Ctrl &= (uint8)(~FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_STATUS_INTR_ENBL);
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_WriteMask
********************************************************************************
*
* Summary:
*  Writes the current mask value assigned to the Status Register.
*
* Parameters:
*  mask:  Value to write into the mask register.
*
* Return:
*  None.
*
*******************************************************************************/
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_WriteMask(uint8 mask) 
{
    #if(FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_INPUTS < 8u)
    	mask &= ((uint8)(1u << FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_INPUTS) - 1u);
	#endif /* End FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_INPUTS < 8u */
    FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Mask = mask;
}


/*******************************************************************************
* Function Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_ReadMask
********************************************************************************
*
* Summary:
*  Reads the current interrupt mask assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The value of the interrupt mask of the Status Register.
*
*******************************************************************************/
uint8 FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_ReadMask(void) 
{
    return FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Mask;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
