/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Filter_Start
********************************************************************************
* Summary:
*  Start the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void FSK_Glitch_Filter_1_Start(void) 
{
    // Iniciar el modulo PWM para las ventanas de decodificacion
	FSK_Glitch_Filter_1_Decod_window_dp_PMW_Start();
}

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Filter_Stop
********************************************************************************
* Summary:
*  Stop the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Glitch_Filter_1_Stop(void) 
{
	// Detener el modulo PWM para las ventanas de decodificacion
	FSK_Glitch_Filter_1_Decod_window_dp_PMW_Stop();
}

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Filter_Stop
********************************************************************************
* Summary:
*  Set period and CMP values for a %error defined
* Parameters:  
*  Period in ms, Error in %
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Glitch_Filter_1_SetupWindowDecoder(uint16 Period_us, uint8 Error)
{
	uint16	iWindowMS = (Period_us*(uint16)(Error))/(uint16)(100);
	// Fijar los valores en los generadores PWM
	FSK_Glitch_Filter_1_Decod_window_dp_PMW_WritePeriod(iWindowMS+Period_us);
	FSK_Glitch_Filter_1_Decod_window_dp_PMW_WriteCompare(iWindowMS<<1);
}

/* [] END OF FILE */
