/*******************************************************************************
* File Name: FSK_Glitch_Filter_Decod_window.h
* Version 3.30
*
* Description:
*  Contains the prototypes and constants for the functions available to the
*  PWM user module.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PWM_FSK_Glitch_Filter_Decod_window_H)
#define CY_PWM_FSK_Glitch_Filter_Decod_window_H

#include "cytypes.h"
#include "cyfitter.h"
#include "CyLib.h" /* For CyEnterCriticalSection() and CyExitCriticalSection() functions */

extern uint8 FSK_Glitch_Filter_Decod_window_initVar;


/***************************************
* Conditional Compilation Parameters
***************************************/
#define FSK_Glitch_Filter_Decod_window_Resolution                     (16u)
#define FSK_Glitch_Filter_Decod_window_UsingFixedFunction             (0u)
#define FSK_Glitch_Filter_Decod_window_DeadBandMode                   (0u)
#define FSK_Glitch_Filter_Decod_window_KillModeMinTime                (0u)
#define FSK_Glitch_Filter_Decod_window_KillMode                       (0u)
#define FSK_Glitch_Filter_Decod_window_PWMMode                        (0u)
#define FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned         (0u)
#define FSK_Glitch_Filter_Decod_window_DeadBandUsed                   (0u)
#define FSK_Glitch_Filter_Decod_window_DeadBand2_4                    (0u)

#if !defined(FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__REMOVED)
    #define FSK_Glitch_Filter_Decod_window_UseStatus                  (0u)
#else
    #define FSK_Glitch_Filter_Decod_window_UseStatus                  (0u)
#endif /* !defined(FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__REMOVED) */

#if !defined(FSK_Glitch_Filter_Decod_window_PWMUDB_genblk1_ctrlreg__REMOVED)
    #define FSK_Glitch_Filter_Decod_window_UseControl                 (1u)
#else
    #define FSK_Glitch_Filter_Decod_window_UseControl                 (0u)
#endif /* !defined(FSK_Glitch_Filter_Decod_window_PWMUDB_genblk1_ctrlreg__REMOVED) */

#define FSK_Glitch_Filter_Decod_window_UseOneCompareMode              (1u)
#define FSK_Glitch_Filter_Decod_window_MinimumKillTime                (1u)
#define FSK_Glitch_Filter_Decod_window_EnableMode                     (0u)

#define FSK_Glitch_Filter_Decod_window_CompareMode1SW                 (0u)
#define FSK_Glitch_Filter_Decod_window_CompareMode2SW                 (0u)

/* Check to see if required defines such as CY_PSOC5LP are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5LP)
    #error Component PWM_v3_30 requires cy_boot v3.0 or later
#endif /* (CY_ PSOC5LP) */

/* Use Kill Mode Enumerated Types */
#define FSK_Glitch_Filter_Decod_window__B_PWM__DISABLED 0
#define FSK_Glitch_Filter_Decod_window__B_PWM__ASYNCHRONOUS 1
#define FSK_Glitch_Filter_Decod_window__B_PWM__SINGLECYCLE 2
#define FSK_Glitch_Filter_Decod_window__B_PWM__LATCHED 3
#define FSK_Glitch_Filter_Decod_window__B_PWM__MINTIME 4


/* Use Dead Band Mode Enumerated Types */
#define FSK_Glitch_Filter_Decod_window__B_PWM__DBMDISABLED 0
#define FSK_Glitch_Filter_Decod_window__B_PWM__DBM_2_4_CLOCKS 1
#define FSK_Glitch_Filter_Decod_window__B_PWM__DBM_256_CLOCKS 2


/* Used PWM Mode Enumerated Types */
#define FSK_Glitch_Filter_Decod_window__B_PWM__ONE_OUTPUT 0
#define FSK_Glitch_Filter_Decod_window__B_PWM__TWO_OUTPUTS 1
#define FSK_Glitch_Filter_Decod_window__B_PWM__DUAL_EDGE 2
#define FSK_Glitch_Filter_Decod_window__B_PWM__CENTER_ALIGN 3
#define FSK_Glitch_Filter_Decod_window__B_PWM__DITHER 5
#define FSK_Glitch_Filter_Decod_window__B_PWM__HARDWARESELECT 4


/* Used PWM Compare Mode Enumerated Types */
#define FSK_Glitch_Filter_Decod_window__B_PWM__LESS_THAN 1
#define FSK_Glitch_Filter_Decod_window__B_PWM__LESS_THAN_OR_EQUAL 2
#define FSK_Glitch_Filter_Decod_window__B_PWM__GREATER_THAN 3
#define FSK_Glitch_Filter_Decod_window__B_PWM__GREATER_THAN_OR_EQUAL_TO 4
#define FSK_Glitch_Filter_Decod_window__B_PWM__EQUAL 0
#define FSK_Glitch_Filter_Decod_window__B_PWM__FIRMWARE 5



/***************************************
* Data Struct Definition
***************************************/


/**************************************************************************
 * Sleep Wakeup Backup structure for PWM Component
 *************************************************************************/
typedef struct
{

    uint8 PWMEnableState;

    #if(!FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
        uint16 PWMUdb;               /* PWM Current Counter value  */
        #if(!FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned)
            uint16 PWMPeriod;
        #endif /* (!FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned) */
        #if (FSK_Glitch_Filter_Decod_window_UseStatus)
            uint8 InterruptMaskValue;   /* PWM Current Interrupt Mask */
        #endif /* (FSK_Glitch_Filter_Decod_window_UseStatus) */

        /* Backup for Deadband parameters */
        #if(FSK_Glitch_Filter_Decod_window_DeadBandMode == FSK_Glitch_Filter_Decod_window__B_PWM__DBM_256_CLOCKS || \
            FSK_Glitch_Filter_Decod_window_DeadBandMode == FSK_Glitch_Filter_Decod_window__B_PWM__DBM_2_4_CLOCKS)
            uint8 PWMdeadBandValue; /* Dead Band Counter Current Value */
        #endif /* deadband count is either 2-4 clocks or 256 clocks */

        /* Backup Kill Mode Counter*/
        #if(FSK_Glitch_Filter_Decod_window_KillModeMinTime)
            uint8 PWMKillCounterPeriod; /* Kill Mode period value */
        #endif /* (FSK_Glitch_Filter_Decod_window_KillModeMinTime) */

        /* Backup control register */
        #if(FSK_Glitch_Filter_Decod_window_UseControl)
            uint8 PWMControlRegister; /* PWM Control Register value */
        #endif /* (FSK_Glitch_Filter_Decod_window_UseControl) */

    #endif /* (!FSK_Glitch_Filter_Decod_window_UsingFixedFunction) */

}FSK_Glitch_Filter_Decod_window_backupStruct;


/***************************************
*        Function Prototypes
 **************************************/

void    FSK_Glitch_Filter_Decod_window_Start(void) ;
void    FSK_Glitch_Filter_Decod_window_Stop(void) ;

#if (FSK_Glitch_Filter_Decod_window_UseStatus || FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
    void  FSK_Glitch_Filter_Decod_window_SetInterruptMode(uint8 interruptMode) ;
    uint8 FSK_Glitch_Filter_Decod_window_ReadStatusRegister(void) ;
#endif /* (FSK_Glitch_Filter_Decod_window_UseStatus || FSK_Glitch_Filter_Decod_window_UsingFixedFunction) */

#define FSK_Glitch_Filter_Decod_window_GetInterruptSource() FSK_Glitch_Filter_Decod_window_ReadStatusRegister()

#if (FSK_Glitch_Filter_Decod_window_UseControl)
    uint8 FSK_Glitch_Filter_Decod_window_ReadControlRegister(void) ;
    void  FSK_Glitch_Filter_Decod_window_WriteControlRegister(uint8 control)
          ;
#endif /* (FSK_Glitch_Filter_Decod_window_UseControl) */

#if (FSK_Glitch_Filter_Decod_window_UseOneCompareMode)
   #if (FSK_Glitch_Filter_Decod_window_CompareMode1SW)
       void    FSK_Glitch_Filter_Decod_window_SetCompareMode(uint8 comparemode)
               ;
   #endif /* (FSK_Glitch_Filter_Decod_window_CompareMode1SW) */
#else
    #if (FSK_Glitch_Filter_Decod_window_CompareMode1SW)
        void    FSK_Glitch_Filter_Decod_window_SetCompareMode1(uint8 comparemode)
                ;
    #endif /* (FSK_Glitch_Filter_Decod_window_CompareMode1SW) */
    #if (FSK_Glitch_Filter_Decod_window_CompareMode2SW)
        void    FSK_Glitch_Filter_Decod_window_SetCompareMode2(uint8 comparemode)
                ;
    #endif /* (FSK_Glitch_Filter_Decod_window_CompareMode2SW) */
#endif /* (FSK_Glitch_Filter_Decod_window_UseOneCompareMode) */

#if (!FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
    uint16   FSK_Glitch_Filter_Decod_window_ReadCounter(void) ;
    uint16 FSK_Glitch_Filter_Decod_window_ReadCapture(void) ;

    #if (FSK_Glitch_Filter_Decod_window_UseStatus)
            void FSK_Glitch_Filter_Decod_window_ClearFIFO(void) ;
    #endif /* (FSK_Glitch_Filter_Decod_window_UseStatus) */

    void    FSK_Glitch_Filter_Decod_window_WriteCounter(uint16 counter)
            ;
#endif /* (!FSK_Glitch_Filter_Decod_window_UsingFixedFunction) */

void    FSK_Glitch_Filter_Decod_window_WritePeriod(uint16 period)
        ;
uint16 FSK_Glitch_Filter_Decod_window_ReadPeriod(void) ;

#if (FSK_Glitch_Filter_Decod_window_UseOneCompareMode)
    void    FSK_Glitch_Filter_Decod_window_WriteCompare(uint16 compare)
            ;
    uint16 FSK_Glitch_Filter_Decod_window_ReadCompare(void) ;
#else
    void    FSK_Glitch_Filter_Decod_window_WriteCompare1(uint16 compare)
            ;
    uint16 FSK_Glitch_Filter_Decod_window_ReadCompare1(void) ;
    void    FSK_Glitch_Filter_Decod_window_WriteCompare2(uint16 compare)
            ;
    uint16 FSK_Glitch_Filter_Decod_window_ReadCompare2(void) ;
#endif /* (FSK_Glitch_Filter_Decod_window_UseOneCompareMode) */


#if (FSK_Glitch_Filter_Decod_window_DeadBandUsed)
    void    FSK_Glitch_Filter_Decod_window_WriteDeadTime(uint8 deadtime) ;
    uint8   FSK_Glitch_Filter_Decod_window_ReadDeadTime(void) ;
#endif /* (FSK_Glitch_Filter_Decod_window_DeadBandUsed) */

#if ( FSK_Glitch_Filter_Decod_window_KillModeMinTime)
    void FSK_Glitch_Filter_Decod_window_WriteKillTime(uint8 killtime) ;
    uint8 FSK_Glitch_Filter_Decod_window_ReadKillTime(void) ;
#endif /* ( FSK_Glitch_Filter_Decod_window_KillModeMinTime) */

void FSK_Glitch_Filter_Decod_window_Init(void) ;
void FSK_Glitch_Filter_Decod_window_Enable(void) ;
void FSK_Glitch_Filter_Decod_window_Sleep(void) ;
void FSK_Glitch_Filter_Decod_window_Wakeup(void) ;
void FSK_Glitch_Filter_Decod_window_SaveConfig(void) ;
void FSK_Glitch_Filter_Decod_window_RestoreConfig(void) ;


/***************************************
*         Initialization Values
**************************************/
#define FSK_Glitch_Filter_Decod_window_INIT_PERIOD_VALUE          (12773u)
#define FSK_Glitch_Filter_Decod_window_INIT_COMPARE_VALUE1        (4225u)
#define FSK_Glitch_Filter_Decod_window_INIT_COMPARE_VALUE2        (63u)
#define FSK_Glitch_Filter_Decod_window_INIT_INTERRUPTS_MODE       (uint8)(((uint8)(0u <<   \
                                                    FSK_Glitch_Filter_Decod_window_STATUS_TC_INT_EN_MASK_SHIFT)) | \
                                                    (uint8)((uint8)(0u <<  \
                                                    FSK_Glitch_Filter_Decod_window_STATUS_CMP2_INT_EN_MASK_SHIFT)) | \
                                                    (uint8)((uint8)(0u <<  \
                                                    FSK_Glitch_Filter_Decod_window_STATUS_CMP1_INT_EN_MASK_SHIFT )) | \
                                                    (uint8)((uint8)(0u <<  \
                                                    FSK_Glitch_Filter_Decod_window_STATUS_KILL_INT_EN_MASK_SHIFT )))
#define FSK_Glitch_Filter_Decod_window_DEFAULT_COMPARE2_MODE      (uint8)((uint8)1u <<  FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_SHIFT)
#define FSK_Glitch_Filter_Decod_window_DEFAULT_COMPARE1_MODE      (uint8)((uint8)1u <<  FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_SHIFT)
#define FSK_Glitch_Filter_Decod_window_INIT_DEAD_TIME             (1u)


/********************************
*         Registers
******************************** */

#if (FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
   #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB              (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__PER0)
   #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR          ( (reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__PER0)
   #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB            (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CNT_CMP0)
   #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB_PTR        ( (reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CNT_CMP0)
   #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB            (0x00u)
   #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB_PTR        (0x00u)
   #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB             (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CNT_CMP0)
   #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB_PTR         ( (reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CNT_CMP0)
   #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB             (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CAP0)
   #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB_PTR         ( (reg16 *) FSK_Glitch_Filter_Decod_window_PWMHW__CAP0)
   #define FSK_Glitch_Filter_Decod_window_RT1                     (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMHW__RT1)
   #define FSK_Glitch_Filter_Decod_window_RT1_PTR                 ( (reg8 *)  FSK_Glitch_Filter_Decod_window_PWMHW__RT1)

#else
   #if (FSK_Glitch_Filter_Decod_window_Resolution == 8u) /* 8bit - PWM */

       #if(FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned)
           #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
           #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
       #else
           #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F0_REG)
           #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F0_REG)
       #endif /* (FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned) */

       #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB        (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D0_REG)
       #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB_PTR    ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D0_REG)
       #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB        (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
       #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB_PTR    ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
       #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB      (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A1_REG)
       #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB_PTR  ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A1_REG)
       #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB         (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A0_REG)
       #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB_PTR     ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A0_REG)
       #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB         (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F1_REG)
       #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB_PTR     ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F1_REG)

   #else
        #if(CY_PSOC3) /* 8-bit address space */
            #if(FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
            #else
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F0_REG)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F0_REG)
            #endif /* (FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned) */

            #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB       (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D0_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB_PTR   ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D0_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB       (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB_PTR   ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__D1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB     (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB_PTR ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB        (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A0_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB_PTR    ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A0_REG)
            #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB        (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F1_REG)
            #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB_PTR    ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__F1_REG)
        #else
            #if(FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG)
            #else
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB      (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG)
               #define FSK_Glitch_Filter_Decod_window_PERIOD_LSB_PTR  ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG)
            #endif /* (FSK_Glitch_Filter_Decod_window_PWMModeIsCenterAligned) */

            #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB       (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE1_LSB_PTR   ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB       (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG)
            #define FSK_Glitch_Filter_Decod_window_COMPARE2_LSB_PTR   ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB     (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB_PTR ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB        (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG)
            #define FSK_Glitch_Filter_Decod_window_COUNTER_LSB_PTR    ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG)
            #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB        (*(reg16 *) FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG)
            #define FSK_Glitch_Filter_Decod_window_CAPTURE_LSB_PTR    ((reg16 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG)
        #endif /* (CY_PSOC3) */

       #define FSK_Glitch_Filter_Decod_window_AUX_CONTROLDP1          (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG)
       #define FSK_Glitch_Filter_Decod_window_AUX_CONTROLDP1_PTR      ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG)

   #endif /* (FSK_Glitch_Filter_Decod_window_Resolution == 8) */

   #define FSK_Glitch_Filter_Decod_window_COUNTERCAP_LSB_PTR_8BIT ( (reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__A1_REG)
   #define FSK_Glitch_Filter_Decod_window_AUX_CONTROLDP0          (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG)
   #define FSK_Glitch_Filter_Decod_window_AUX_CONTROLDP0_PTR      ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG)

#endif /* (FSK_Glitch_Filter_Decod_window_UsingFixedFunction) */

#if(FSK_Glitch_Filter_Decod_window_KillModeMinTime )
    #define FSK_Glitch_Filter_Decod_window_KILLMODEMINTIME        (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sKM_killmodecounterdp_u0__D0_REG)
    #define FSK_Glitch_Filter_Decod_window_KILLMODEMINTIME_PTR    ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sKM_killmodecounterdp_u0__D0_REG)
    /* Fixed Function Block has no Kill Mode parameters because it is Asynchronous only */
#endif /* (FSK_Glitch_Filter_Decod_window_KillModeMinTime ) */

#if(FSK_Glitch_Filter_Decod_window_DeadBandMode == FSK_Glitch_Filter_Decod_window__B_PWM__DBM_256_CLOCKS)
    #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT         (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sDB255_deadbandcounterdp_u0__D0_REG)
    #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_PTR     ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sDB255_deadbandcounterdp_u0__D0_REG)
    #define FSK_Glitch_Filter_Decod_window_DEADBAND_LSB_PTR       ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_sDB255_deadbandcounterdp_u0__A0_REG)
    #define FSK_Glitch_Filter_Decod_window_DEADBAND_LSB           (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_sDB255_deadbandcounterdp_u0__A0_REG)
#elif(FSK_Glitch_Filter_Decod_window_DeadBandMode == FSK_Glitch_Filter_Decod_window__B_PWM__DBM_2_4_CLOCKS)
    
    /* In Fixed Function Block these bits are in the control blocks control register */
    #if (FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT         (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMHW__CFG0)
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_PTR     ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMHW__CFG0)
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_MASK    (uint8)((uint8)0x03u << FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_SHIFT)

        /* As defined by the Register Map as DEADBAND_PERIOD[1:0] in CFG0 */
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_SHIFT   (0x06u)
    #else
        /* Lower two bits of the added control register define the count 1-3 */
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT         (*(reg8 *)  FSK_Glitch_Filter_Decod_window_PWMUDB_genblk7_dbctrlreg__CONTROL_REG)
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_PTR     ((reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_genblk7_dbctrlreg__CONTROL_REG)
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_MASK    (uint8)((uint8)0x03u << FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_SHIFT)

        /* As defined by the verilog implementation of the Control Register */
        #define FSK_Glitch_Filter_Decod_window_DEADBAND_COUNT_SHIFT   (0x00u)
    #endif /* (FSK_Glitch_Filter_Decod_window_UsingFixedFunction) */
#endif /* (FSK_Glitch_Filter_Decod_window_DeadBandMode == FSK_Glitch_Filter_Decod_window__B_PWM__DBM_256_CLOCKS) */



#if (FSK_Glitch_Filter_Decod_window_UsingFixedFunction)
    #define FSK_Glitch_Filter_Decod_window_STATUS                 (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__SR0)
    #define FSK_Glitch_Filter_Decod_window_STATUS_PTR             ((reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__SR0)
    #define FSK_Glitch_Filter_Decod_window_STATUS_MASK            (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__SR0)
    #define FSK_Glitch_Filter_Decod_window_STATUS_MASK_PTR        ((reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__SR0)
    #define FSK_Glitch_Filter_Decod_window_CONTROL                (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__CFG0)
    #define FSK_Glitch_Filter_Decod_window_CONTROL_PTR            ((reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__CFG0)
    #define FSK_Glitch_Filter_Decod_window_CONTROL2               (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__CFG1)
    #define FSK_Glitch_Filter_Decod_window_CONTROL3               (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__CFG2)
    #define FSK_Glitch_Filter_Decod_window_GLOBAL_ENABLE          (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__PM_ACT_CFG)
    #define FSK_Glitch_Filter_Decod_window_GLOBAL_ENABLE_PTR      ( (reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__PM_ACT_CFG)
    #define FSK_Glitch_Filter_Decod_window_GLOBAL_STBY_ENABLE     (*(reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__PM_STBY_CFG)
    #define FSK_Glitch_Filter_Decod_window_GLOBAL_STBY_ENABLE_PTR ( (reg8 *) FSK_Glitch_Filter_Decod_window_PWMHW__PM_STBY_CFG)


    /***********************************
    *          Constants
    ***********************************/

    /* Fixed Function Block Chosen */
    #define FSK_Glitch_Filter_Decod_window_BLOCK_EN_MASK          (FSK_Glitch_Filter_Decod_window_PWMHW__PM_ACT_MSK)
    #define FSK_Glitch_Filter_Decod_window_BLOCK_STBY_EN_MASK     (FSK_Glitch_Filter_Decod_window_PWMHW__PM_STBY_MSK)
    
    /* Control Register definitions */
    #define FSK_Glitch_Filter_Decod_window_CTRL_ENABLE_SHIFT      (0x00u)

    /* As defined by Register map as MODE_CFG bits in CFG2*/
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_SHIFT    (0x04u)

    /* As defined by Register map */
    #define FSK_Glitch_Filter_Decod_window_CTRL_DEAD_TIME_SHIFT   (0x06u)  

    /* Fixed Function Block Only CFG register bit definitions */
    /*  Set to compare mode */
    #define FSK_Glitch_Filter_Decod_window_CFG0_MODE              (0x02u)   

    /* Enable the block to run */
    #define FSK_Glitch_Filter_Decod_window_CFG0_ENABLE            (0x01u)   
    
    /* As defined by Register map as DB bit in CFG0 */
    #define FSK_Glitch_Filter_Decod_window_CFG0_DB                (0x20u)   

    /* Control Register Bit Masks */
    #define FSK_Glitch_Filter_Decod_window_CTRL_ENABLE            (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_CTRL_ENABLE_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_RESET             (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_CTRL_RESET_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_MASK     (uint8)((uint8)0x07u << FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_MASK     (uint8)((uint8)0x07u << FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_SHIFT)

    /* Control2 Register Bit Masks */
    /* As defined in Register Map, Part of the TMRX_CFG1 register */
    #define FSK_Glitch_Filter_Decod_window_CTRL2_IRQ_SEL_SHIFT    (0x00u)
    #define FSK_Glitch_Filter_Decod_window_CTRL2_IRQ_SEL          (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_CTRL2_IRQ_SEL_SHIFT)

    /* Status Register Bit Locations */
    /* As defined by Register map as TC in SR0 */
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT        (0x07u)   
    
    /* As defined by the Register map as CAP_CMP in SR0 */
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT      (0x06u)   

    /* Status Register Interrupt Enable Bit Locations */
    #define FSK_Glitch_Filter_Decod_window_STATUS_KILL_INT_EN_MASK_SHIFT          (0x00u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_INT_EN_MASK_SHIFT            (FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT - 4u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP2_INT_EN_MASK_SHIFT          (0x00u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_INT_EN_MASK_SHIFT          (FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT - 4u)

    /* Status Register Bit Masks */
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC              (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1            (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT)

    /* Status Register Interrupt Bit Masks */
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_INT_EN_MASK              (uint8)((uint8)FSK_Glitch_Filter_Decod_window_STATUS_TC >> 4u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_INT_EN_MASK            (uint8)((uint8)FSK_Glitch_Filter_Decod_window_STATUS_CMP1 >> 4u)

    /*RT1 Synch Constants */
    #define FSK_Glitch_Filter_Decod_window_RT1_SHIFT             (0x04u)

    /* Sync TC and CMP bit masks */
    #define FSK_Glitch_Filter_Decod_window_RT1_MASK              (uint8)((uint8)0x03u << FSK_Glitch_Filter_Decod_window_RT1_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_SYNC                  (uint8)((uint8)0x03u << FSK_Glitch_Filter_Decod_window_RT1_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_SYNCDSI_SHIFT         (0x00u)

    /* Sync all DSI inputs */
    #define FSK_Glitch_Filter_Decod_window_SYNCDSI_MASK          (uint8)((uint8)0x0Fu << FSK_Glitch_Filter_Decod_window_SYNCDSI_SHIFT)

    /* Sync all DSI inputs */
    #define FSK_Glitch_Filter_Decod_window_SYNCDSI_EN            (uint8)((uint8)0x0Fu << FSK_Glitch_Filter_Decod_window_SYNCDSI_SHIFT)


#else
    #define FSK_Glitch_Filter_Decod_window_STATUS                (*(reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__STATUS_REG )
    #define FSK_Glitch_Filter_Decod_window_STATUS_PTR            ((reg8 *)    FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__STATUS_REG )
    #define FSK_Glitch_Filter_Decod_window_STATUS_MASK           (*(reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__MASK_REG)
    #define FSK_Glitch_Filter_Decod_window_STATUS_MASK_PTR       ((reg8 *)    FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__MASK_REG)
    #define FSK_Glitch_Filter_Decod_window_STATUS_AUX_CTRL       (*(reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG)
    #define FSK_Glitch_Filter_Decod_window_CONTROL               (*(reg8 *)   FSK_Glitch_Filter_Decod_window_PWMUDB_genblk1_ctrlreg__CONTROL_REG)
    #define FSK_Glitch_Filter_Decod_window_CONTROL_PTR           ((reg8 *)    FSK_Glitch_Filter_Decod_window_PWMUDB_genblk1_ctrlreg__CONTROL_REG)


    /***********************************
    *          Constants
    ***********************************/

    /* Control Register bit definitions */
    #define FSK_Glitch_Filter_Decod_window_CTRL_ENABLE_SHIFT      (0x07u)
    #define FSK_Glitch_Filter_Decod_window_CTRL_RESET_SHIFT       (0x06u)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_SHIFT    (0x03u)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_SHIFT    (0x00u)
    #define FSK_Glitch_Filter_Decod_window_CTRL_DEAD_TIME_SHIFT   (0x00u)   /* No Shift Needed for UDB block */
    
    /* Control Register Bit Masks */
    #define FSK_Glitch_Filter_Decod_window_CTRL_ENABLE            (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_CTRL_ENABLE_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_RESET             (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_CTRL_RESET_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_MASK     (uint8)((uint8)0x07u << FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE2_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_MASK     (uint8)((uint8)0x07u << FSK_Glitch_Filter_Decod_window_CTRL_CMPMODE1_SHIFT)

    /* Status Register Bit Locations */
    #define FSK_Glitch_Filter_Decod_window_STATUS_KILL_SHIFT          (0x05u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY_SHIFT    (0x04u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL_SHIFT      (0x03u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT            (0x02u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP2_SHIFT          (0x01u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT          (0x00u)

    /* Status Register Interrupt Enable Bit Locations - UDB Status Interrupt Mask match Status Bit Locations*/
    #define FSK_Glitch_Filter_Decod_window_STATUS_KILL_INT_EN_MASK_SHIFT          (FSK_Glitch_Filter_Decod_window_STATUS_KILL_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY_INT_EN_MASK_SHIFT    (FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL_INT_EN_MASK_SHIFT      (FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_INT_EN_MASK_SHIFT            (FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP2_INT_EN_MASK_SHIFT          (FSK_Glitch_Filter_Decod_window_STATUS_CMP2_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_INT_EN_MASK_SHIFT          (FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT)

    /* Status Register Bit Masks */
    #define FSK_Glitch_Filter_Decod_window_STATUS_KILL            (uint8)((uint8)0x00u << FSK_Glitch_Filter_Decod_window_STATUS_KILL_SHIFT )
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL        (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY      (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC              (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_TC_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP2            (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_CMP2_SHIFT)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1            (uint8)((uint8)0x01u << FSK_Glitch_Filter_Decod_window_STATUS_CMP1_SHIFT)

    /* Status Register Interrupt Bit Masks  - UDB Status Interrupt Mask match Status Bit Locations */
    #define FSK_Glitch_Filter_Decod_window_STATUS_KILL_INT_EN_MASK            (FSK_Glitch_Filter_Decod_window_STATUS_KILL)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL_INT_EN_MASK        (FSK_Glitch_Filter_Decod_window_STATUS_FIFOFULL)
    #define FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY_INT_EN_MASK      (FSK_Glitch_Filter_Decod_window_STATUS_FIFONEMPTY)
    #define FSK_Glitch_Filter_Decod_window_STATUS_TC_INT_EN_MASK              (FSK_Glitch_Filter_Decod_window_STATUS_TC)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP2_INT_EN_MASK            (FSK_Glitch_Filter_Decod_window_STATUS_CMP2)
    #define FSK_Glitch_Filter_Decod_window_STATUS_CMP1_INT_EN_MASK            (FSK_Glitch_Filter_Decod_window_STATUS_CMP1)

    /* Datapath Auxillary Control Register bit definitions */
    #define FSK_Glitch_Filter_Decod_window_AUX_CTRL_FIFO0_CLR         (0x01u)
    #define FSK_Glitch_Filter_Decod_window_AUX_CTRL_FIFO1_CLR         (0x02u)
    #define FSK_Glitch_Filter_Decod_window_AUX_CTRL_FIFO0_LVL         (0x04u)
    #define FSK_Glitch_Filter_Decod_window_AUX_CTRL_FIFO1_LVL         (0x08u)
    #define FSK_Glitch_Filter_Decod_window_STATUS_ACTL_INT_EN_MASK    (0x10u) /* As defined for the ACTL Register */
#endif /* FSK_Glitch_Filter_Decod_window_UsingFixedFunction */

#endif  /* CY_PWM_FSK_Glitch_Filter_Decod_window_H */


/* [] END OF FILE */
