/*******************************************************************************
* File Name: GPRS_URTS.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GPRS_URTS_H) /* Pins GPRS_URTS_H */
#define CY_PINS_GPRS_URTS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GPRS_URTS_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GPRS_URTS__PORT == 15 && ((GPRS_URTS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    GPRS_URTS_Write(uint8 value);
void    GPRS_URTS_SetDriveMode(uint8 mode);
uint8   GPRS_URTS_ReadDataReg(void);
uint8   GPRS_URTS_Read(void);
void    GPRS_URTS_SetInterruptMode(uint16 position, uint16 mode);
uint8   GPRS_URTS_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the GPRS_URTS_SetDriveMode() function.
     *  @{
     */
        #define GPRS_URTS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define GPRS_URTS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define GPRS_URTS_DM_RES_UP          PIN_DM_RES_UP
        #define GPRS_URTS_DM_RES_DWN         PIN_DM_RES_DWN
        #define GPRS_URTS_DM_OD_LO           PIN_DM_OD_LO
        #define GPRS_URTS_DM_OD_HI           PIN_DM_OD_HI
        #define GPRS_URTS_DM_STRONG          PIN_DM_STRONG
        #define GPRS_URTS_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define GPRS_URTS_MASK               GPRS_URTS__MASK
#define GPRS_URTS_SHIFT              GPRS_URTS__SHIFT
#define GPRS_URTS_WIDTH              1u

/* Interrupt constants */
#if defined(GPRS_URTS__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in GPRS_URTS_SetInterruptMode() function.
     *  @{
     */
        #define GPRS_URTS_INTR_NONE      (uint16)(0x0000u)
        #define GPRS_URTS_INTR_RISING    (uint16)(0x0001u)
        #define GPRS_URTS_INTR_FALLING   (uint16)(0x0002u)
        #define GPRS_URTS_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define GPRS_URTS_INTR_MASK      (0x01u) 
#endif /* (GPRS_URTS__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GPRS_URTS_PS                     (* (reg8 *) GPRS_URTS__PS)
/* Data Register */
#define GPRS_URTS_DR                     (* (reg8 *) GPRS_URTS__DR)
/* Port Number */
#define GPRS_URTS_PRT_NUM                (* (reg8 *) GPRS_URTS__PRT) 
/* Connect to Analog Globals */                                                  
#define GPRS_URTS_AG                     (* (reg8 *) GPRS_URTS__AG)                       
/* Analog MUX bux enable */
#define GPRS_URTS_AMUX                   (* (reg8 *) GPRS_URTS__AMUX) 
/* Bidirectional Enable */                                                        
#define GPRS_URTS_BIE                    (* (reg8 *) GPRS_URTS__BIE)
/* Bit-mask for Aliased Register Access */
#define GPRS_URTS_BIT_MASK               (* (reg8 *) GPRS_URTS__BIT_MASK)
/* Bypass Enable */
#define GPRS_URTS_BYP                    (* (reg8 *) GPRS_URTS__BYP)
/* Port wide control signals */                                                   
#define GPRS_URTS_CTL                    (* (reg8 *) GPRS_URTS__CTL)
/* Drive Modes */
#define GPRS_URTS_DM0                    (* (reg8 *) GPRS_URTS__DM0) 
#define GPRS_URTS_DM1                    (* (reg8 *) GPRS_URTS__DM1)
#define GPRS_URTS_DM2                    (* (reg8 *) GPRS_URTS__DM2) 
/* Input Buffer Disable Override */
#define GPRS_URTS_INP_DIS                (* (reg8 *) GPRS_URTS__INP_DIS)
/* LCD Common or Segment Drive */
#define GPRS_URTS_LCD_COM_SEG            (* (reg8 *) GPRS_URTS__LCD_COM_SEG)
/* Enable Segment LCD */
#define GPRS_URTS_LCD_EN                 (* (reg8 *) GPRS_URTS__LCD_EN)
/* Slew Rate Control */
#define GPRS_URTS_SLW                    (* (reg8 *) GPRS_URTS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GPRS_URTS_PRTDSI__CAPS_SEL       (* (reg8 *) GPRS_URTS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GPRS_URTS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GPRS_URTS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GPRS_URTS_PRTDSI__OE_SEL0        (* (reg8 *) GPRS_URTS__PRTDSI__OE_SEL0) 
#define GPRS_URTS_PRTDSI__OE_SEL1        (* (reg8 *) GPRS_URTS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GPRS_URTS_PRTDSI__OUT_SEL0       (* (reg8 *) GPRS_URTS__PRTDSI__OUT_SEL0) 
#define GPRS_URTS_PRTDSI__OUT_SEL1       (* (reg8 *) GPRS_URTS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GPRS_URTS_PRTDSI__SYNC_OUT       (* (reg8 *) GPRS_URTS__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(GPRS_URTS__SIO_CFG)
    #define GPRS_URTS_SIO_HYST_EN        (* (reg8 *) GPRS_URTS__SIO_HYST_EN)
    #define GPRS_URTS_SIO_REG_HIFREQ     (* (reg8 *) GPRS_URTS__SIO_REG_HIFREQ)
    #define GPRS_URTS_SIO_CFG            (* (reg8 *) GPRS_URTS__SIO_CFG)
    #define GPRS_URTS_SIO_DIFF           (* (reg8 *) GPRS_URTS__SIO_DIFF)
#endif /* (GPRS_URTS__SIO_CFG) */

/* Interrupt Registers */
#if defined(GPRS_URTS__INTSTAT)
    #define GPRS_URTS_INTSTAT            (* (reg8 *) GPRS_URTS__INTSTAT)
    #define GPRS_URTS_SNAP               (* (reg8 *) GPRS_URTS__SNAP)
    
	#define GPRS_URTS_0_INTTYPE_REG 		(* (reg8 *) GPRS_URTS__0__INTTYPE)
#endif /* (GPRS_URTS__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GPRS_URTS_H */


/* [] END OF FILE */
