/*******************************************************************************
* File Name: Inv_Data.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Inv_Data_H) /* Pins Inv_Data_H */
#define CY_PINS_Inv_Data_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Inv_Data_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Inv_Data__PORT == 15 && ((Inv_Data__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Inv_Data_Write(uint8 value) ;
void    Inv_Data_SetDriveMode(uint8 mode) ;
uint8   Inv_Data_ReadDataReg(void) ;
uint8   Inv_Data_Read(void) ;
uint8   Inv_Data_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Inv_Data_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Inv_Data_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Inv_Data_DM_RES_UP          PIN_DM_RES_UP
#define Inv_Data_DM_RES_DWN         PIN_DM_RES_DWN
#define Inv_Data_DM_OD_LO           PIN_DM_OD_LO
#define Inv_Data_DM_OD_HI           PIN_DM_OD_HI
#define Inv_Data_DM_STRONG          PIN_DM_STRONG
#define Inv_Data_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Inv_Data_MASK               Inv_Data__MASK
#define Inv_Data_SHIFT              Inv_Data__SHIFT
#define Inv_Data_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Inv_Data_PS                     (* (reg8 *) Inv_Data__PS)
/* Data Register */
#define Inv_Data_DR                     (* (reg8 *) Inv_Data__DR)
/* Port Number */
#define Inv_Data_PRT_NUM                (* (reg8 *) Inv_Data__PRT) 
/* Connect to Analog Globals */                                                  
#define Inv_Data_AG                     (* (reg8 *) Inv_Data__AG)                       
/* Analog MUX bux enable */
#define Inv_Data_AMUX                   (* (reg8 *) Inv_Data__AMUX) 
/* Bidirectional Enable */                                                        
#define Inv_Data_BIE                    (* (reg8 *) Inv_Data__BIE)
/* Bit-mask for Aliased Register Access */
#define Inv_Data_BIT_MASK               (* (reg8 *) Inv_Data__BIT_MASK)
/* Bypass Enable */
#define Inv_Data_BYP                    (* (reg8 *) Inv_Data__BYP)
/* Port wide control signals */                                                   
#define Inv_Data_CTL                    (* (reg8 *) Inv_Data__CTL)
/* Drive Modes */
#define Inv_Data_DM0                    (* (reg8 *) Inv_Data__DM0) 
#define Inv_Data_DM1                    (* (reg8 *) Inv_Data__DM1)
#define Inv_Data_DM2                    (* (reg8 *) Inv_Data__DM2) 
/* Input Buffer Disable Override */
#define Inv_Data_INP_DIS                (* (reg8 *) Inv_Data__INP_DIS)
/* LCD Common or Segment Drive */
#define Inv_Data_LCD_COM_SEG            (* (reg8 *) Inv_Data__LCD_COM_SEG)
/* Enable Segment LCD */
#define Inv_Data_LCD_EN                 (* (reg8 *) Inv_Data__LCD_EN)
/* Slew Rate Control */
#define Inv_Data_SLW                    (* (reg8 *) Inv_Data__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Inv_Data_PRTDSI__CAPS_SEL       (* (reg8 *) Inv_Data__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Inv_Data_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Inv_Data__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Inv_Data_PRTDSI__OE_SEL0        (* (reg8 *) Inv_Data__PRTDSI__OE_SEL0) 
#define Inv_Data_PRTDSI__OE_SEL1        (* (reg8 *) Inv_Data__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Inv_Data_PRTDSI__OUT_SEL0       (* (reg8 *) Inv_Data__PRTDSI__OUT_SEL0) 
#define Inv_Data_PRTDSI__OUT_SEL1       (* (reg8 *) Inv_Data__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Inv_Data_PRTDSI__SYNC_OUT       (* (reg8 *) Inv_Data__PRTDSI__SYNC_OUT) 


#if defined(Inv_Data__INTSTAT)  /* Interrupt Registers */

    #define Inv_Data_INTSTAT                (* (reg8 *) Inv_Data__INTSTAT)
    #define Inv_Data_SNAP                   (* (reg8 *) Inv_Data__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Inv_Data_H */


/* [] END OF FILE */
