/*******************************************************************************
* File Name: LED_PPS.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED_PPS_H) /* Pins LED_PPS_H */
#define CY_PINS_LED_PPS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED_PPS_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LED_PPS__PORT == 15 && ((LED_PPS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    LED_PPS_Write(uint8 value) ;
void    LED_PPS_SetDriveMode(uint8 mode) ;
uint8   LED_PPS_ReadDataReg(void) ;
uint8   LED_PPS_Read(void) ;
uint8   LED_PPS_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED_PPS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED_PPS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED_PPS_DM_RES_UP          PIN_DM_RES_UP
#define LED_PPS_DM_RES_DWN         PIN_DM_RES_DWN
#define LED_PPS_DM_OD_LO           PIN_DM_OD_LO
#define LED_PPS_DM_OD_HI           PIN_DM_OD_HI
#define LED_PPS_DM_STRONG          PIN_DM_STRONG
#define LED_PPS_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED_PPS_MASK               LED_PPS__MASK
#define LED_PPS_SHIFT              LED_PPS__SHIFT
#define LED_PPS_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED_PPS_PS                     (* (reg8 *) LED_PPS__PS)
/* Data Register */
#define LED_PPS_DR                     (* (reg8 *) LED_PPS__DR)
/* Port Number */
#define LED_PPS_PRT_NUM                (* (reg8 *) LED_PPS__PRT) 
/* Connect to Analog Globals */                                                  
#define LED_PPS_AG                     (* (reg8 *) LED_PPS__AG)                       
/* Analog MUX bux enable */
#define LED_PPS_AMUX                   (* (reg8 *) LED_PPS__AMUX) 
/* Bidirectional Enable */                                                        
#define LED_PPS_BIE                    (* (reg8 *) LED_PPS__BIE)
/* Bit-mask for Aliased Register Access */
#define LED_PPS_BIT_MASK               (* (reg8 *) LED_PPS__BIT_MASK)
/* Bypass Enable */
#define LED_PPS_BYP                    (* (reg8 *) LED_PPS__BYP)
/* Port wide control signals */                                                   
#define LED_PPS_CTL                    (* (reg8 *) LED_PPS__CTL)
/* Drive Modes */
#define LED_PPS_DM0                    (* (reg8 *) LED_PPS__DM0) 
#define LED_PPS_DM1                    (* (reg8 *) LED_PPS__DM1)
#define LED_PPS_DM2                    (* (reg8 *) LED_PPS__DM2) 
/* Input Buffer Disable Override */
#define LED_PPS_INP_DIS                (* (reg8 *) LED_PPS__INP_DIS)
/* LCD Common or Segment Drive */
#define LED_PPS_LCD_COM_SEG            (* (reg8 *) LED_PPS__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED_PPS_LCD_EN                 (* (reg8 *) LED_PPS__LCD_EN)
/* Slew Rate Control */
#define LED_PPS_SLW                    (* (reg8 *) LED_PPS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED_PPS_PRTDSI__CAPS_SEL       (* (reg8 *) LED_PPS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED_PPS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED_PPS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED_PPS_PRTDSI__OE_SEL0        (* (reg8 *) LED_PPS__PRTDSI__OE_SEL0) 
#define LED_PPS_PRTDSI__OE_SEL1        (* (reg8 *) LED_PPS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED_PPS_PRTDSI__OUT_SEL0       (* (reg8 *) LED_PPS__PRTDSI__OUT_SEL0) 
#define LED_PPS_PRTDSI__OUT_SEL1       (* (reg8 *) LED_PPS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED_PPS_PRTDSI__SYNC_OUT       (* (reg8 *) LED_PPS__PRTDSI__SYNC_OUT) 


#if defined(LED_PPS__INTSTAT)  /* Interrupt Registers */

    #define LED_PPS_INTSTAT                (* (reg8 *) LED_PPS__INTSTAT)
    #define LED_PPS_SNAP                   (* (reg8 *) LED_PPS__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LED_PPS_H */


/* [] END OF FILE */
