/*******************************************************************************
* File Name: LED_TX_MPDT.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED_TX_MPDT_H) /* Pins LED_TX_MPDT_H */
#define CY_PINS_LED_TX_MPDT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED_TX_MPDT_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LED_TX_MPDT__PORT == 15 && ((LED_TX_MPDT__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    LED_TX_MPDT_Write(uint8 value) ;
void    LED_TX_MPDT_SetDriveMode(uint8 mode) ;
uint8   LED_TX_MPDT_ReadDataReg(void) ;
uint8   LED_TX_MPDT_Read(void) ;
uint8   LED_TX_MPDT_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED_TX_MPDT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED_TX_MPDT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED_TX_MPDT_DM_RES_UP          PIN_DM_RES_UP
#define LED_TX_MPDT_DM_RES_DWN         PIN_DM_RES_DWN
#define LED_TX_MPDT_DM_OD_LO           PIN_DM_OD_LO
#define LED_TX_MPDT_DM_OD_HI           PIN_DM_OD_HI
#define LED_TX_MPDT_DM_STRONG          PIN_DM_STRONG
#define LED_TX_MPDT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED_TX_MPDT_MASK               LED_TX_MPDT__MASK
#define LED_TX_MPDT_SHIFT              LED_TX_MPDT__SHIFT
#define LED_TX_MPDT_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED_TX_MPDT_PS                     (* (reg8 *) LED_TX_MPDT__PS)
/* Data Register */
#define LED_TX_MPDT_DR                     (* (reg8 *) LED_TX_MPDT__DR)
/* Port Number */
#define LED_TX_MPDT_PRT_NUM                (* (reg8 *) LED_TX_MPDT__PRT) 
/* Connect to Analog Globals */                                                  
#define LED_TX_MPDT_AG                     (* (reg8 *) LED_TX_MPDT__AG)                       
/* Analog MUX bux enable */
#define LED_TX_MPDT_AMUX                   (* (reg8 *) LED_TX_MPDT__AMUX) 
/* Bidirectional Enable */                                                        
#define LED_TX_MPDT_BIE                    (* (reg8 *) LED_TX_MPDT__BIE)
/* Bit-mask for Aliased Register Access */
#define LED_TX_MPDT_BIT_MASK               (* (reg8 *) LED_TX_MPDT__BIT_MASK)
/* Bypass Enable */
#define LED_TX_MPDT_BYP                    (* (reg8 *) LED_TX_MPDT__BYP)
/* Port wide control signals */                                                   
#define LED_TX_MPDT_CTL                    (* (reg8 *) LED_TX_MPDT__CTL)
/* Drive Modes */
#define LED_TX_MPDT_DM0                    (* (reg8 *) LED_TX_MPDT__DM0) 
#define LED_TX_MPDT_DM1                    (* (reg8 *) LED_TX_MPDT__DM1)
#define LED_TX_MPDT_DM2                    (* (reg8 *) LED_TX_MPDT__DM2) 
/* Input Buffer Disable Override */
#define LED_TX_MPDT_INP_DIS                (* (reg8 *) LED_TX_MPDT__INP_DIS)
/* LCD Common or Segment Drive */
#define LED_TX_MPDT_LCD_COM_SEG            (* (reg8 *) LED_TX_MPDT__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED_TX_MPDT_LCD_EN                 (* (reg8 *) LED_TX_MPDT__LCD_EN)
/* Slew Rate Control */
#define LED_TX_MPDT_SLW                    (* (reg8 *) LED_TX_MPDT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED_TX_MPDT_PRTDSI__CAPS_SEL       (* (reg8 *) LED_TX_MPDT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED_TX_MPDT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED_TX_MPDT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED_TX_MPDT_PRTDSI__OE_SEL0        (* (reg8 *) LED_TX_MPDT__PRTDSI__OE_SEL0) 
#define LED_TX_MPDT_PRTDSI__OE_SEL1        (* (reg8 *) LED_TX_MPDT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED_TX_MPDT_PRTDSI__OUT_SEL0       (* (reg8 *) LED_TX_MPDT__PRTDSI__OUT_SEL0) 
#define LED_TX_MPDT_PRTDSI__OUT_SEL1       (* (reg8 *) LED_TX_MPDT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED_TX_MPDT_PRTDSI__SYNC_OUT       (* (reg8 *) LED_TX_MPDT__PRTDSI__SYNC_OUT) 


#if defined(LED_TX_MPDT__INTSTAT)  /* Interrupt Registers */

    #define LED_TX_MPDT_INTSTAT                (* (reg8 *) LED_TX_MPDT__INTSTAT)
    #define LED_TX_MPDT_SNAP                   (* (reg8 *) LED_TX_MPDT__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LED_TX_MPDT_H */


/* [] END OF FILE */
