/*******************************************************************************
* File Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware to read the value of a Status 
*  Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H.h"

#if !defined(MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_sts_sts_reg__REMOVED) /* Check for removal by optimization */


/*******************************************************************************
* Function Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The current value in the Status Register.
*
*******************************************************************************/
uint8 MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Read(void) 
{ 
    return MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status;
}


/*******************************************************************************
* Function Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptEnable
********************************************************************************
*
* Summary:
*  Enables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptEnable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Aux_Ctrl |= MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_STATUS_INTR_ENBL;
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptDisable
********************************************************************************
*
* Summary:
*  Disables the Status Register interrupt.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptDisable(void) 
{
    uint8 interruptState;
    interruptState = CyEnterCriticalSection();
    MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Aux_Ctrl &= (uint8)(~MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_STATUS_INTR_ENBL);
    CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_WriteMask
********************************************************************************
*
* Summary:
*  Writes the current mask value assigned to the Status Register.
*
* Parameters:
*  mask:  Value to write into the mask register.
*
* Return:
*  None.
*
*******************************************************************************/
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_WriteMask(uint8 mask) 
{
    #if(MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_INPUTS < 8u)
    	mask &= ((uint8)(1u << MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_INPUTS) - 1u);
	#endif /* End MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_INPUTS < 8u */
    MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Mask = mask;
}


/*******************************************************************************
* Function Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_ReadMask
********************************************************************************
*
* Summary:
*  Reads the current interrupt mask assigned to the Status Register.
*
* Parameters:
*  None.
*
* Return:
*  The value of the interrupt mask of the Status Register.
*
*******************************************************************************/
uint8 MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_ReadMask(void) 
{
    return MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Mask;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
