/*******************************************************************************
* File Name: RAD_AUD_IN.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RAD_AUD_IN_H) /* Pins RAD_AUD_IN_H */
#define CY_PINS_RAD_AUD_IN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RAD_AUD_IN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 RAD_AUD_IN__PORT == 15 && ((RAD_AUD_IN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    RAD_AUD_IN_Write(uint8 value) ;
void    RAD_AUD_IN_SetDriveMode(uint8 mode) ;
uint8   RAD_AUD_IN_ReadDataReg(void) ;
uint8   RAD_AUD_IN_Read(void) ;
uint8   RAD_AUD_IN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RAD_AUD_IN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define RAD_AUD_IN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define RAD_AUD_IN_DM_RES_UP          PIN_DM_RES_UP
#define RAD_AUD_IN_DM_RES_DWN         PIN_DM_RES_DWN
#define RAD_AUD_IN_DM_OD_LO           PIN_DM_OD_LO
#define RAD_AUD_IN_DM_OD_HI           PIN_DM_OD_HI
#define RAD_AUD_IN_DM_STRONG          PIN_DM_STRONG
#define RAD_AUD_IN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define RAD_AUD_IN_MASK               RAD_AUD_IN__MASK
#define RAD_AUD_IN_SHIFT              RAD_AUD_IN__SHIFT
#define RAD_AUD_IN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RAD_AUD_IN_PS                     (* (reg8 *) RAD_AUD_IN__PS)
/* Data Register */
#define RAD_AUD_IN_DR                     (* (reg8 *) RAD_AUD_IN__DR)
/* Port Number */
#define RAD_AUD_IN_PRT_NUM                (* (reg8 *) RAD_AUD_IN__PRT) 
/* Connect to Analog Globals */                                                  
#define RAD_AUD_IN_AG                     (* (reg8 *) RAD_AUD_IN__AG)                       
/* Analog MUX bux enable */
#define RAD_AUD_IN_AMUX                   (* (reg8 *) RAD_AUD_IN__AMUX) 
/* Bidirectional Enable */                                                        
#define RAD_AUD_IN_BIE                    (* (reg8 *) RAD_AUD_IN__BIE)
/* Bit-mask for Aliased Register Access */
#define RAD_AUD_IN_BIT_MASK               (* (reg8 *) RAD_AUD_IN__BIT_MASK)
/* Bypass Enable */
#define RAD_AUD_IN_BYP                    (* (reg8 *) RAD_AUD_IN__BYP)
/* Port wide control signals */                                                   
#define RAD_AUD_IN_CTL                    (* (reg8 *) RAD_AUD_IN__CTL)
/* Drive Modes */
#define RAD_AUD_IN_DM0                    (* (reg8 *) RAD_AUD_IN__DM0) 
#define RAD_AUD_IN_DM1                    (* (reg8 *) RAD_AUD_IN__DM1)
#define RAD_AUD_IN_DM2                    (* (reg8 *) RAD_AUD_IN__DM2) 
/* Input Buffer Disable Override */
#define RAD_AUD_IN_INP_DIS                (* (reg8 *) RAD_AUD_IN__INP_DIS)
/* LCD Common or Segment Drive */
#define RAD_AUD_IN_LCD_COM_SEG            (* (reg8 *) RAD_AUD_IN__LCD_COM_SEG)
/* Enable Segment LCD */
#define RAD_AUD_IN_LCD_EN                 (* (reg8 *) RAD_AUD_IN__LCD_EN)
/* Slew Rate Control */
#define RAD_AUD_IN_SLW                    (* (reg8 *) RAD_AUD_IN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RAD_AUD_IN_PRTDSI__CAPS_SEL       (* (reg8 *) RAD_AUD_IN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RAD_AUD_IN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RAD_AUD_IN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RAD_AUD_IN_PRTDSI__OE_SEL0        (* (reg8 *) RAD_AUD_IN__PRTDSI__OE_SEL0) 
#define RAD_AUD_IN_PRTDSI__OE_SEL1        (* (reg8 *) RAD_AUD_IN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RAD_AUD_IN_PRTDSI__OUT_SEL0       (* (reg8 *) RAD_AUD_IN__PRTDSI__OUT_SEL0) 
#define RAD_AUD_IN_PRTDSI__OUT_SEL1       (* (reg8 *) RAD_AUD_IN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RAD_AUD_IN_PRTDSI__SYNC_OUT       (* (reg8 *) RAD_AUD_IN__PRTDSI__SYNC_OUT) 


#if defined(RAD_AUD_IN__INTSTAT)  /* Interrupt Registers */

    #define RAD_AUD_IN_INTSTAT                (* (reg8 *) RAD_AUD_IN__INTSTAT)
    #define RAD_AUD_IN_SNAP                   (* (reg8 *) RAD_AUD_IN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_RAD_AUD_IN_H */


/* [] END OF FILE */
