/*******************************************************************************
* File Name: RAD_PTT2.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RAD_PTT2_H) /* Pins RAD_PTT2_H */
#define CY_PINS_RAD_PTT2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RAD_PTT2_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 RAD_PTT2__PORT == 15 && ((RAD_PTT2__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    RAD_PTT2_Write(uint8 value) ;
void    RAD_PTT2_SetDriveMode(uint8 mode) ;
uint8   RAD_PTT2_ReadDataReg(void) ;
uint8   RAD_PTT2_Read(void) ;
uint8   RAD_PTT2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RAD_PTT2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define RAD_PTT2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define RAD_PTT2_DM_RES_UP          PIN_DM_RES_UP
#define RAD_PTT2_DM_RES_DWN         PIN_DM_RES_DWN
#define RAD_PTT2_DM_OD_LO           PIN_DM_OD_LO
#define RAD_PTT2_DM_OD_HI           PIN_DM_OD_HI
#define RAD_PTT2_DM_STRONG          PIN_DM_STRONG
#define RAD_PTT2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define RAD_PTT2_MASK               RAD_PTT2__MASK
#define RAD_PTT2_SHIFT              RAD_PTT2__SHIFT
#define RAD_PTT2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RAD_PTT2_PS                     (* (reg8 *) RAD_PTT2__PS)
/* Data Register */
#define RAD_PTT2_DR                     (* (reg8 *) RAD_PTT2__DR)
/* Port Number */
#define RAD_PTT2_PRT_NUM                (* (reg8 *) RAD_PTT2__PRT) 
/* Connect to Analog Globals */                                                  
#define RAD_PTT2_AG                     (* (reg8 *) RAD_PTT2__AG)                       
/* Analog MUX bux enable */
#define RAD_PTT2_AMUX                   (* (reg8 *) RAD_PTT2__AMUX) 
/* Bidirectional Enable */                                                        
#define RAD_PTT2_BIE                    (* (reg8 *) RAD_PTT2__BIE)
/* Bit-mask for Aliased Register Access */
#define RAD_PTT2_BIT_MASK               (* (reg8 *) RAD_PTT2__BIT_MASK)
/* Bypass Enable */
#define RAD_PTT2_BYP                    (* (reg8 *) RAD_PTT2__BYP)
/* Port wide control signals */                                                   
#define RAD_PTT2_CTL                    (* (reg8 *) RAD_PTT2__CTL)
/* Drive Modes */
#define RAD_PTT2_DM0                    (* (reg8 *) RAD_PTT2__DM0) 
#define RAD_PTT2_DM1                    (* (reg8 *) RAD_PTT2__DM1)
#define RAD_PTT2_DM2                    (* (reg8 *) RAD_PTT2__DM2) 
/* Input Buffer Disable Override */
#define RAD_PTT2_INP_DIS                (* (reg8 *) RAD_PTT2__INP_DIS)
/* LCD Common or Segment Drive */
#define RAD_PTT2_LCD_COM_SEG            (* (reg8 *) RAD_PTT2__LCD_COM_SEG)
/* Enable Segment LCD */
#define RAD_PTT2_LCD_EN                 (* (reg8 *) RAD_PTT2__LCD_EN)
/* Slew Rate Control */
#define RAD_PTT2_SLW                    (* (reg8 *) RAD_PTT2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RAD_PTT2_PRTDSI__CAPS_SEL       (* (reg8 *) RAD_PTT2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RAD_PTT2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RAD_PTT2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RAD_PTT2_PRTDSI__OE_SEL0        (* (reg8 *) RAD_PTT2__PRTDSI__OE_SEL0) 
#define RAD_PTT2_PRTDSI__OE_SEL1        (* (reg8 *) RAD_PTT2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RAD_PTT2_PRTDSI__OUT_SEL0       (* (reg8 *) RAD_PTT2__PRTDSI__OUT_SEL0) 
#define RAD_PTT2_PRTDSI__OUT_SEL1       (* (reg8 *) RAD_PTT2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RAD_PTT2_PRTDSI__SYNC_OUT       (* (reg8 *) RAD_PTT2__PRTDSI__SYNC_OUT) 


#if defined(RAD_PTT2__INTSTAT)  /* Interrupt Registers */

    #define RAD_PTT2_INTSTAT                (* (reg8 *) RAD_PTT2__INTSTAT)
    #define RAD_PTT2_SNAP                   (* (reg8 *) RAD_PTT2__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_RAD_PTT2_H */


/* [] END OF FILE */
