/*******************************************************************************
* File Name: Rad_PTT.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Rad_PTT_H) /* Pins Rad_PTT_H */
#define CY_PINS_Rad_PTT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Rad_PTT_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Rad_PTT__PORT == 15 && ((Rad_PTT__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Rad_PTT_Write(uint8 value) ;
void    Rad_PTT_SetDriveMode(uint8 mode) ;
uint8   Rad_PTT_ReadDataReg(void) ;
uint8   Rad_PTT_Read(void) ;
uint8   Rad_PTT_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Rad_PTT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Rad_PTT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Rad_PTT_DM_RES_UP          PIN_DM_RES_UP
#define Rad_PTT_DM_RES_DWN         PIN_DM_RES_DWN
#define Rad_PTT_DM_OD_LO           PIN_DM_OD_LO
#define Rad_PTT_DM_OD_HI           PIN_DM_OD_HI
#define Rad_PTT_DM_STRONG          PIN_DM_STRONG
#define Rad_PTT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Rad_PTT_MASK               Rad_PTT__MASK
#define Rad_PTT_SHIFT              Rad_PTT__SHIFT
#define Rad_PTT_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Rad_PTT_PS                     (* (reg8 *) Rad_PTT__PS)
/* Data Register */
#define Rad_PTT_DR                     (* (reg8 *) Rad_PTT__DR)
/* Port Number */
#define Rad_PTT_PRT_NUM                (* (reg8 *) Rad_PTT__PRT) 
/* Connect to Analog Globals */                                                  
#define Rad_PTT_AG                     (* (reg8 *) Rad_PTT__AG)                       
/* Analog MUX bux enable */
#define Rad_PTT_AMUX                   (* (reg8 *) Rad_PTT__AMUX) 
/* Bidirectional Enable */                                                        
#define Rad_PTT_BIE                    (* (reg8 *) Rad_PTT__BIE)
/* Bit-mask for Aliased Register Access */
#define Rad_PTT_BIT_MASK               (* (reg8 *) Rad_PTT__BIT_MASK)
/* Bypass Enable */
#define Rad_PTT_BYP                    (* (reg8 *) Rad_PTT__BYP)
/* Port wide control signals */                                                   
#define Rad_PTT_CTL                    (* (reg8 *) Rad_PTT__CTL)
/* Drive Modes */
#define Rad_PTT_DM0                    (* (reg8 *) Rad_PTT__DM0) 
#define Rad_PTT_DM1                    (* (reg8 *) Rad_PTT__DM1)
#define Rad_PTT_DM2                    (* (reg8 *) Rad_PTT__DM2) 
/* Input Buffer Disable Override */
#define Rad_PTT_INP_DIS                (* (reg8 *) Rad_PTT__INP_DIS)
/* LCD Common or Segment Drive */
#define Rad_PTT_LCD_COM_SEG            (* (reg8 *) Rad_PTT__LCD_COM_SEG)
/* Enable Segment LCD */
#define Rad_PTT_LCD_EN                 (* (reg8 *) Rad_PTT__LCD_EN)
/* Slew Rate Control */
#define Rad_PTT_SLW                    (* (reg8 *) Rad_PTT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Rad_PTT_PRTDSI__CAPS_SEL       (* (reg8 *) Rad_PTT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Rad_PTT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Rad_PTT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Rad_PTT_PRTDSI__OE_SEL0        (* (reg8 *) Rad_PTT__PRTDSI__OE_SEL0) 
#define Rad_PTT_PRTDSI__OE_SEL1        (* (reg8 *) Rad_PTT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Rad_PTT_PRTDSI__OUT_SEL0       (* (reg8 *) Rad_PTT__PRTDSI__OUT_SEL0) 
#define Rad_PTT_PRTDSI__OUT_SEL1       (* (reg8 *) Rad_PTT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Rad_PTT_PRTDSI__SYNC_OUT       (* (reg8 *) Rad_PTT__PRTDSI__SYNC_OUT) 


#if defined(Rad_PTT__INTSTAT)  /* Interrupt Registers */

    #define Rad_PTT_INTSTAT                (* (reg8 *) Rad_PTT__INTSTAT)
    #define Rad_PTT_SNAP                   (* (reg8 *) Rad_PTT__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Rad_PTT_H */


/* [] END OF FILE */
