/*******************************************************************************
* File Name: Rad_RSSI_PIN.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Rad_RSSI_PIN_H) /* Pins Rad_RSSI_PIN_H */
#define CY_PINS_Rad_RSSI_PIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Rad_RSSI_PIN_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Rad_RSSI_PIN__PORT == 15 && ((Rad_RSSI_PIN__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Rad_RSSI_PIN_Write(uint8 value) ;
void    Rad_RSSI_PIN_SetDriveMode(uint8 mode) ;
uint8   Rad_RSSI_PIN_ReadDataReg(void) ;
uint8   Rad_RSSI_PIN_Read(void) ;
uint8   Rad_RSSI_PIN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Rad_RSSI_PIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Rad_RSSI_PIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Rad_RSSI_PIN_DM_RES_UP          PIN_DM_RES_UP
#define Rad_RSSI_PIN_DM_RES_DWN         PIN_DM_RES_DWN
#define Rad_RSSI_PIN_DM_OD_LO           PIN_DM_OD_LO
#define Rad_RSSI_PIN_DM_OD_HI           PIN_DM_OD_HI
#define Rad_RSSI_PIN_DM_STRONG          PIN_DM_STRONG
#define Rad_RSSI_PIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Rad_RSSI_PIN_MASK               Rad_RSSI_PIN__MASK
#define Rad_RSSI_PIN_SHIFT              Rad_RSSI_PIN__SHIFT
#define Rad_RSSI_PIN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Rad_RSSI_PIN_PS                     (* (reg8 *) Rad_RSSI_PIN__PS)
/* Data Register */
#define Rad_RSSI_PIN_DR                     (* (reg8 *) Rad_RSSI_PIN__DR)
/* Port Number */
#define Rad_RSSI_PIN_PRT_NUM                (* (reg8 *) Rad_RSSI_PIN__PRT) 
/* Connect to Analog Globals */                                                  
#define Rad_RSSI_PIN_AG                     (* (reg8 *) Rad_RSSI_PIN__AG)                       
/* Analog MUX bux enable */
#define Rad_RSSI_PIN_AMUX                   (* (reg8 *) Rad_RSSI_PIN__AMUX) 
/* Bidirectional Enable */                                                        
#define Rad_RSSI_PIN_BIE                    (* (reg8 *) Rad_RSSI_PIN__BIE)
/* Bit-mask for Aliased Register Access */
#define Rad_RSSI_PIN_BIT_MASK               (* (reg8 *) Rad_RSSI_PIN__BIT_MASK)
/* Bypass Enable */
#define Rad_RSSI_PIN_BYP                    (* (reg8 *) Rad_RSSI_PIN__BYP)
/* Port wide control signals */                                                   
#define Rad_RSSI_PIN_CTL                    (* (reg8 *) Rad_RSSI_PIN__CTL)
/* Drive Modes */
#define Rad_RSSI_PIN_DM0                    (* (reg8 *) Rad_RSSI_PIN__DM0) 
#define Rad_RSSI_PIN_DM1                    (* (reg8 *) Rad_RSSI_PIN__DM1)
#define Rad_RSSI_PIN_DM2                    (* (reg8 *) Rad_RSSI_PIN__DM2) 
/* Input Buffer Disable Override */
#define Rad_RSSI_PIN_INP_DIS                (* (reg8 *) Rad_RSSI_PIN__INP_DIS)
/* LCD Common or Segment Drive */
#define Rad_RSSI_PIN_LCD_COM_SEG            (* (reg8 *) Rad_RSSI_PIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define Rad_RSSI_PIN_LCD_EN                 (* (reg8 *) Rad_RSSI_PIN__LCD_EN)
/* Slew Rate Control */
#define Rad_RSSI_PIN_SLW                    (* (reg8 *) Rad_RSSI_PIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Rad_RSSI_PIN_PRTDSI__CAPS_SEL       (* (reg8 *) Rad_RSSI_PIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Rad_RSSI_PIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Rad_RSSI_PIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Rad_RSSI_PIN_PRTDSI__OE_SEL0        (* (reg8 *) Rad_RSSI_PIN__PRTDSI__OE_SEL0) 
#define Rad_RSSI_PIN_PRTDSI__OE_SEL1        (* (reg8 *) Rad_RSSI_PIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Rad_RSSI_PIN_PRTDSI__OUT_SEL0       (* (reg8 *) Rad_RSSI_PIN__PRTDSI__OUT_SEL0) 
#define Rad_RSSI_PIN_PRTDSI__OUT_SEL1       (* (reg8 *) Rad_RSSI_PIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Rad_RSSI_PIN_PRTDSI__SYNC_OUT       (* (reg8 *) Rad_RSSI_PIN__PRTDSI__SYNC_OUT) 


#if defined(Rad_RSSI_PIN__INTSTAT)  /* Interrupt Registers */

    #define Rad_RSSI_PIN_INTSTAT                (* (reg8 *) Rad_RSSI_PIN__INTSTAT)
    #define Rad_RSSI_PIN_SNAP                   (* (reg8 *) Rad_RSSI_PIN__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Rad_RSSI_PIN_H */


/* [] END OF FILE */
