/*******************************************************************************
* File Name: TX_UART_GPRS.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TX_UART_GPRS_H) /* Pins TX_UART_GPRS_H */
#define CY_PINS_TX_UART_GPRS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TX_UART_GPRS_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TX_UART_GPRS__PORT == 15 && ((TX_UART_GPRS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TX_UART_GPRS_Write(uint8 value) ;
void    TX_UART_GPRS_SetDriveMode(uint8 mode) ;
uint8   TX_UART_GPRS_ReadDataReg(void) ;
uint8   TX_UART_GPRS_Read(void) ;
uint8   TX_UART_GPRS_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TX_UART_GPRS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TX_UART_GPRS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TX_UART_GPRS_DM_RES_UP          PIN_DM_RES_UP
#define TX_UART_GPRS_DM_RES_DWN         PIN_DM_RES_DWN
#define TX_UART_GPRS_DM_OD_LO           PIN_DM_OD_LO
#define TX_UART_GPRS_DM_OD_HI           PIN_DM_OD_HI
#define TX_UART_GPRS_DM_STRONG          PIN_DM_STRONG
#define TX_UART_GPRS_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TX_UART_GPRS_MASK               TX_UART_GPRS__MASK
#define TX_UART_GPRS_SHIFT              TX_UART_GPRS__SHIFT
#define TX_UART_GPRS_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TX_UART_GPRS_PS                     (* (reg8 *) TX_UART_GPRS__PS)
/* Data Register */
#define TX_UART_GPRS_DR                     (* (reg8 *) TX_UART_GPRS__DR)
/* Port Number */
#define TX_UART_GPRS_PRT_NUM                (* (reg8 *) TX_UART_GPRS__PRT) 
/* Connect to Analog Globals */                                                  
#define TX_UART_GPRS_AG                     (* (reg8 *) TX_UART_GPRS__AG)                       
/* Analog MUX bux enable */
#define TX_UART_GPRS_AMUX                   (* (reg8 *) TX_UART_GPRS__AMUX) 
/* Bidirectional Enable */                                                        
#define TX_UART_GPRS_BIE                    (* (reg8 *) TX_UART_GPRS__BIE)
/* Bit-mask for Aliased Register Access */
#define TX_UART_GPRS_BIT_MASK               (* (reg8 *) TX_UART_GPRS__BIT_MASK)
/* Bypass Enable */
#define TX_UART_GPRS_BYP                    (* (reg8 *) TX_UART_GPRS__BYP)
/* Port wide control signals */                                                   
#define TX_UART_GPRS_CTL                    (* (reg8 *) TX_UART_GPRS__CTL)
/* Drive Modes */
#define TX_UART_GPRS_DM0                    (* (reg8 *) TX_UART_GPRS__DM0) 
#define TX_UART_GPRS_DM1                    (* (reg8 *) TX_UART_GPRS__DM1)
#define TX_UART_GPRS_DM2                    (* (reg8 *) TX_UART_GPRS__DM2) 
/* Input Buffer Disable Override */
#define TX_UART_GPRS_INP_DIS                (* (reg8 *) TX_UART_GPRS__INP_DIS)
/* LCD Common or Segment Drive */
#define TX_UART_GPRS_LCD_COM_SEG            (* (reg8 *) TX_UART_GPRS__LCD_COM_SEG)
/* Enable Segment LCD */
#define TX_UART_GPRS_LCD_EN                 (* (reg8 *) TX_UART_GPRS__LCD_EN)
/* Slew Rate Control */
#define TX_UART_GPRS_SLW                    (* (reg8 *) TX_UART_GPRS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TX_UART_GPRS_PRTDSI__CAPS_SEL       (* (reg8 *) TX_UART_GPRS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TX_UART_GPRS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TX_UART_GPRS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TX_UART_GPRS_PRTDSI__OE_SEL0        (* (reg8 *) TX_UART_GPRS__PRTDSI__OE_SEL0) 
#define TX_UART_GPRS_PRTDSI__OE_SEL1        (* (reg8 *) TX_UART_GPRS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TX_UART_GPRS_PRTDSI__OUT_SEL0       (* (reg8 *) TX_UART_GPRS__PRTDSI__OUT_SEL0) 
#define TX_UART_GPRS_PRTDSI__OUT_SEL1       (* (reg8 *) TX_UART_GPRS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TX_UART_GPRS_PRTDSI__SYNC_OUT       (* (reg8 *) TX_UART_GPRS__PRTDSI__SYNC_OUT) 


#if defined(TX_UART_GPRS__INTSTAT)  /* Interrupt Registers */

    #define TX_UART_GPRS_INTSTAT                (* (reg8 *) TX_UART_GPRS__INTSTAT)
    #define TX_UART_GPRS_SNAP                   (* (reg8 *) TX_UART_GPRS__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TX_UART_GPRS_H */


/* [] END OF FILE */
