/*******************************************************************************
* File Name: Tx_enable.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Tx_enable_H) /* Pins Tx_enable_H */
#define CY_PINS_Tx_enable_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Tx_enable_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Tx_enable__PORT == 15 && ((Tx_enable__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Tx_enable_Write(uint8 value) ;
void    Tx_enable_SetDriveMode(uint8 mode) ;
uint8   Tx_enable_ReadDataReg(void) ;
uint8   Tx_enable_Read(void) ;
uint8   Tx_enable_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Tx_enable_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Tx_enable_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Tx_enable_DM_RES_UP          PIN_DM_RES_UP
#define Tx_enable_DM_RES_DWN         PIN_DM_RES_DWN
#define Tx_enable_DM_OD_LO           PIN_DM_OD_LO
#define Tx_enable_DM_OD_HI           PIN_DM_OD_HI
#define Tx_enable_DM_STRONG          PIN_DM_STRONG
#define Tx_enable_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Tx_enable_MASK               Tx_enable__MASK
#define Tx_enable_SHIFT              Tx_enable__SHIFT
#define Tx_enable_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Tx_enable_PS                     (* (reg8 *) Tx_enable__PS)
/* Data Register */
#define Tx_enable_DR                     (* (reg8 *) Tx_enable__DR)
/* Port Number */
#define Tx_enable_PRT_NUM                (* (reg8 *) Tx_enable__PRT) 
/* Connect to Analog Globals */                                                  
#define Tx_enable_AG                     (* (reg8 *) Tx_enable__AG)                       
/* Analog MUX bux enable */
#define Tx_enable_AMUX                   (* (reg8 *) Tx_enable__AMUX) 
/* Bidirectional Enable */                                                        
#define Tx_enable_BIE                    (* (reg8 *) Tx_enable__BIE)
/* Bit-mask for Aliased Register Access */
#define Tx_enable_BIT_MASK               (* (reg8 *) Tx_enable__BIT_MASK)
/* Bypass Enable */
#define Tx_enable_BYP                    (* (reg8 *) Tx_enable__BYP)
/* Port wide control signals */                                                   
#define Tx_enable_CTL                    (* (reg8 *) Tx_enable__CTL)
/* Drive Modes */
#define Tx_enable_DM0                    (* (reg8 *) Tx_enable__DM0) 
#define Tx_enable_DM1                    (* (reg8 *) Tx_enable__DM1)
#define Tx_enable_DM2                    (* (reg8 *) Tx_enable__DM2) 
/* Input Buffer Disable Override */
#define Tx_enable_INP_DIS                (* (reg8 *) Tx_enable__INP_DIS)
/* LCD Common or Segment Drive */
#define Tx_enable_LCD_COM_SEG            (* (reg8 *) Tx_enable__LCD_COM_SEG)
/* Enable Segment LCD */
#define Tx_enable_LCD_EN                 (* (reg8 *) Tx_enable__LCD_EN)
/* Slew Rate Control */
#define Tx_enable_SLW                    (* (reg8 *) Tx_enable__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Tx_enable_PRTDSI__CAPS_SEL       (* (reg8 *) Tx_enable__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Tx_enable_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Tx_enable__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Tx_enable_PRTDSI__OE_SEL0        (* (reg8 *) Tx_enable__PRTDSI__OE_SEL0) 
#define Tx_enable_PRTDSI__OE_SEL1        (* (reg8 *) Tx_enable__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Tx_enable_PRTDSI__OUT_SEL0       (* (reg8 *) Tx_enable__PRTDSI__OUT_SEL0) 
#define Tx_enable_PRTDSI__OUT_SEL1       (* (reg8 *) Tx_enable__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Tx_enable_PRTDSI__SYNC_OUT       (* (reg8 *) Tx_enable__PRTDSI__SYNC_OUT) 


#if defined(Tx_enable__INTSTAT)  /* Interrupt Registers */

    #define Tx_enable_INTSTAT                (* (reg8 *) Tx_enable__INTSTAT)
    #define Tx_enable_SNAP                   (* (reg8 *) Tx_enable__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Tx_enable_H */


/* [] END OF FILE */
