/*******************************************************************************
* File Name: isr_Data_Out.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isr_Data_Out_H)
#define CY_ISR_isr_Data_Out_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr_Data_Out_Start(void);
void isr_Data_Out_StartEx(cyisraddress address);
void isr_Data_Out_Stop(void);

CY_ISR_PROTO(isr_Data_Out_Interrupt);

void isr_Data_Out_SetVector(cyisraddress address);
cyisraddress isr_Data_Out_GetVector(void);

void isr_Data_Out_SetPriority(uint8 priority);
uint8 isr_Data_Out_GetPriority(void);

void isr_Data_Out_Enable(void);
uint8 isr_Data_Out_GetState(void);
void isr_Data_Out_Disable(void);

void isr_Data_Out_SetPending(void);
void isr_Data_Out_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_Data_Out ISR. */
#define isr_Data_Out_INTC_VECTOR            ((reg32 *) isr_Data_Out__INTC_VECT)

/* Address of the isr_Data_Out ISR priority. */
#define isr_Data_Out_INTC_PRIOR             ((reg8 *) isr_Data_Out__INTC_PRIOR_REG)

/* Priority of the isr_Data_Out interrupt. */
#define isr_Data_Out_INTC_PRIOR_NUMBER      isr_Data_Out__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_Data_Out interrupt. */
#define isr_Data_Out_INTC_SET_EN            ((reg32 *) isr_Data_Out__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_Data_Out interrupt. */
#define isr_Data_Out_INTC_CLR_EN            ((reg32 *) isr_Data_Out__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_Data_Out interrupt state to pending. */
#define isr_Data_Out_INTC_SET_PD            ((reg32 *) isr_Data_Out__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_Data_Out interrupt. */
#define isr_Data_Out_INTC_CLR_PD            ((reg32 *) isr_Data_Out__INTC_CLR_PD_REG)


#endif /* CY_ISR_isr_Data_Out_H */


/* [] END OF FILE */
