/*******************************************************************************
* File Name: tCLK_HOLD.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_tCLK_HOLD_H) /* Pins tCLK_HOLD_H */
#define CY_PINS_tCLK_HOLD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "tCLK_HOLD_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 tCLK_HOLD__PORT == 15 && ((tCLK_HOLD__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    tCLK_HOLD_Write(uint8 value) ;
void    tCLK_HOLD_SetDriveMode(uint8 mode) ;
uint8   tCLK_HOLD_ReadDataReg(void) ;
uint8   tCLK_HOLD_Read(void) ;
uint8   tCLK_HOLD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define tCLK_HOLD_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define tCLK_HOLD_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define tCLK_HOLD_DM_RES_UP          PIN_DM_RES_UP
#define tCLK_HOLD_DM_RES_DWN         PIN_DM_RES_DWN
#define tCLK_HOLD_DM_OD_LO           PIN_DM_OD_LO
#define tCLK_HOLD_DM_OD_HI           PIN_DM_OD_HI
#define tCLK_HOLD_DM_STRONG          PIN_DM_STRONG
#define tCLK_HOLD_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define tCLK_HOLD_MASK               tCLK_HOLD__MASK
#define tCLK_HOLD_SHIFT              tCLK_HOLD__SHIFT
#define tCLK_HOLD_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define tCLK_HOLD_PS                     (* (reg8 *) tCLK_HOLD__PS)
/* Data Register */
#define tCLK_HOLD_DR                     (* (reg8 *) tCLK_HOLD__DR)
/* Port Number */
#define tCLK_HOLD_PRT_NUM                (* (reg8 *) tCLK_HOLD__PRT) 
/* Connect to Analog Globals */                                                  
#define tCLK_HOLD_AG                     (* (reg8 *) tCLK_HOLD__AG)                       
/* Analog MUX bux enable */
#define tCLK_HOLD_AMUX                   (* (reg8 *) tCLK_HOLD__AMUX) 
/* Bidirectional Enable */                                                        
#define tCLK_HOLD_BIE                    (* (reg8 *) tCLK_HOLD__BIE)
/* Bit-mask for Aliased Register Access */
#define tCLK_HOLD_BIT_MASK               (* (reg8 *) tCLK_HOLD__BIT_MASK)
/* Bypass Enable */
#define tCLK_HOLD_BYP                    (* (reg8 *) tCLK_HOLD__BYP)
/* Port wide control signals */                                                   
#define tCLK_HOLD_CTL                    (* (reg8 *) tCLK_HOLD__CTL)
/* Drive Modes */
#define tCLK_HOLD_DM0                    (* (reg8 *) tCLK_HOLD__DM0) 
#define tCLK_HOLD_DM1                    (* (reg8 *) tCLK_HOLD__DM1)
#define tCLK_HOLD_DM2                    (* (reg8 *) tCLK_HOLD__DM2) 
/* Input Buffer Disable Override */
#define tCLK_HOLD_INP_DIS                (* (reg8 *) tCLK_HOLD__INP_DIS)
/* LCD Common or Segment Drive */
#define tCLK_HOLD_LCD_COM_SEG            (* (reg8 *) tCLK_HOLD__LCD_COM_SEG)
/* Enable Segment LCD */
#define tCLK_HOLD_LCD_EN                 (* (reg8 *) tCLK_HOLD__LCD_EN)
/* Slew Rate Control */
#define tCLK_HOLD_SLW                    (* (reg8 *) tCLK_HOLD__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define tCLK_HOLD_PRTDSI__CAPS_SEL       (* (reg8 *) tCLK_HOLD__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define tCLK_HOLD_PRTDSI__DBL_SYNC_IN    (* (reg8 *) tCLK_HOLD__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define tCLK_HOLD_PRTDSI__OE_SEL0        (* (reg8 *) tCLK_HOLD__PRTDSI__OE_SEL0) 
#define tCLK_HOLD_PRTDSI__OE_SEL1        (* (reg8 *) tCLK_HOLD__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define tCLK_HOLD_PRTDSI__OUT_SEL0       (* (reg8 *) tCLK_HOLD__PRTDSI__OUT_SEL0) 
#define tCLK_HOLD_PRTDSI__OUT_SEL1       (* (reg8 *) tCLK_HOLD__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define tCLK_HOLD_PRTDSI__SYNC_OUT       (* (reg8 *) tCLK_HOLD__PRTDSI__SYNC_OUT) 


#if defined(tCLK_HOLD__INTSTAT)  /* Interrupt Registers */

    #define tCLK_HOLD_INTSTAT                (* (reg8 *) tCLK_HOLD__INTSTAT)
    #define tCLK_HOLD_SNAP                   (* (reg8 *) tCLK_HOLD__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_tCLK_HOLD_H */


/* [] END OF FILE */
