/*******************************************************************************
* File Name: tEDGE.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_tEDGE_H) /* Pins tEDGE_H */
#define CY_PINS_tEDGE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "tEDGE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 tEDGE__PORT == 15 && ((tEDGE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    tEDGE_Write(uint8 value) ;
void    tEDGE_SetDriveMode(uint8 mode) ;
uint8   tEDGE_ReadDataReg(void) ;
uint8   tEDGE_Read(void) ;
uint8   tEDGE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define tEDGE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define tEDGE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define tEDGE_DM_RES_UP          PIN_DM_RES_UP
#define tEDGE_DM_RES_DWN         PIN_DM_RES_DWN
#define tEDGE_DM_OD_LO           PIN_DM_OD_LO
#define tEDGE_DM_OD_HI           PIN_DM_OD_HI
#define tEDGE_DM_STRONG          PIN_DM_STRONG
#define tEDGE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define tEDGE_MASK               tEDGE__MASK
#define tEDGE_SHIFT              tEDGE__SHIFT
#define tEDGE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define tEDGE_PS                     (* (reg8 *) tEDGE__PS)
/* Data Register */
#define tEDGE_DR                     (* (reg8 *) tEDGE__DR)
/* Port Number */
#define tEDGE_PRT_NUM                (* (reg8 *) tEDGE__PRT) 
/* Connect to Analog Globals */                                                  
#define tEDGE_AG                     (* (reg8 *) tEDGE__AG)                       
/* Analog MUX bux enable */
#define tEDGE_AMUX                   (* (reg8 *) tEDGE__AMUX) 
/* Bidirectional Enable */                                                        
#define tEDGE_BIE                    (* (reg8 *) tEDGE__BIE)
/* Bit-mask for Aliased Register Access */
#define tEDGE_BIT_MASK               (* (reg8 *) tEDGE__BIT_MASK)
/* Bypass Enable */
#define tEDGE_BYP                    (* (reg8 *) tEDGE__BYP)
/* Port wide control signals */                                                   
#define tEDGE_CTL                    (* (reg8 *) tEDGE__CTL)
/* Drive Modes */
#define tEDGE_DM0                    (* (reg8 *) tEDGE__DM0) 
#define tEDGE_DM1                    (* (reg8 *) tEDGE__DM1)
#define tEDGE_DM2                    (* (reg8 *) tEDGE__DM2) 
/* Input Buffer Disable Override */
#define tEDGE_INP_DIS                (* (reg8 *) tEDGE__INP_DIS)
/* LCD Common or Segment Drive */
#define tEDGE_LCD_COM_SEG            (* (reg8 *) tEDGE__LCD_COM_SEG)
/* Enable Segment LCD */
#define tEDGE_LCD_EN                 (* (reg8 *) tEDGE__LCD_EN)
/* Slew Rate Control */
#define tEDGE_SLW                    (* (reg8 *) tEDGE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define tEDGE_PRTDSI__CAPS_SEL       (* (reg8 *) tEDGE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define tEDGE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) tEDGE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define tEDGE_PRTDSI__OE_SEL0        (* (reg8 *) tEDGE__PRTDSI__OE_SEL0) 
#define tEDGE_PRTDSI__OE_SEL1        (* (reg8 *) tEDGE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define tEDGE_PRTDSI__OUT_SEL0       (* (reg8 *) tEDGE__PRTDSI__OUT_SEL0) 
#define tEDGE_PRTDSI__OUT_SEL1       (* (reg8 *) tEDGE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define tEDGE_PRTDSI__SYNC_OUT       (* (reg8 *) tEDGE__PRTDSI__SYNC_OUT) 


#if defined(tEDGE__INTSTAT)  /* Interrupt Registers */

    #define tEDGE_INTSTAT                (* (reg8 *) tEDGE__INTSTAT)
    #define tEDGE_SNAP                   (* (reg8 *) tEDGE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_tEDGE_H */


/* [] END OF FILE */
