/*******************************************************************************
* File Name: tInvData.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_tInvData_H) /* Pins tInvData_H */
#define CY_PINS_tInvData_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "tInvData_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 tInvData__PORT == 15 && ((tInvData__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    tInvData_Write(uint8 value) ;
void    tInvData_SetDriveMode(uint8 mode) ;
uint8   tInvData_ReadDataReg(void) ;
uint8   tInvData_Read(void) ;
uint8   tInvData_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define tInvData_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define tInvData_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define tInvData_DM_RES_UP          PIN_DM_RES_UP
#define tInvData_DM_RES_DWN         PIN_DM_RES_DWN
#define tInvData_DM_OD_LO           PIN_DM_OD_LO
#define tInvData_DM_OD_HI           PIN_DM_OD_HI
#define tInvData_DM_STRONG          PIN_DM_STRONG
#define tInvData_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define tInvData_MASK               tInvData__MASK
#define tInvData_SHIFT              tInvData__SHIFT
#define tInvData_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define tInvData_PS                     (* (reg8 *) tInvData__PS)
/* Data Register */
#define tInvData_DR                     (* (reg8 *) tInvData__DR)
/* Port Number */
#define tInvData_PRT_NUM                (* (reg8 *) tInvData__PRT) 
/* Connect to Analog Globals */                                                  
#define tInvData_AG                     (* (reg8 *) tInvData__AG)                       
/* Analog MUX bux enable */
#define tInvData_AMUX                   (* (reg8 *) tInvData__AMUX) 
/* Bidirectional Enable */                                                        
#define tInvData_BIE                    (* (reg8 *) tInvData__BIE)
/* Bit-mask for Aliased Register Access */
#define tInvData_BIT_MASK               (* (reg8 *) tInvData__BIT_MASK)
/* Bypass Enable */
#define tInvData_BYP                    (* (reg8 *) tInvData__BYP)
/* Port wide control signals */                                                   
#define tInvData_CTL                    (* (reg8 *) tInvData__CTL)
/* Drive Modes */
#define tInvData_DM0                    (* (reg8 *) tInvData__DM0) 
#define tInvData_DM1                    (* (reg8 *) tInvData__DM1)
#define tInvData_DM2                    (* (reg8 *) tInvData__DM2) 
/* Input Buffer Disable Override */
#define tInvData_INP_DIS                (* (reg8 *) tInvData__INP_DIS)
/* LCD Common or Segment Drive */
#define tInvData_LCD_COM_SEG            (* (reg8 *) tInvData__LCD_COM_SEG)
/* Enable Segment LCD */
#define tInvData_LCD_EN                 (* (reg8 *) tInvData__LCD_EN)
/* Slew Rate Control */
#define tInvData_SLW                    (* (reg8 *) tInvData__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define tInvData_PRTDSI__CAPS_SEL       (* (reg8 *) tInvData__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define tInvData_PRTDSI__DBL_SYNC_IN    (* (reg8 *) tInvData__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define tInvData_PRTDSI__OE_SEL0        (* (reg8 *) tInvData__PRTDSI__OE_SEL0) 
#define tInvData_PRTDSI__OE_SEL1        (* (reg8 *) tInvData__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define tInvData_PRTDSI__OUT_SEL0       (* (reg8 *) tInvData__PRTDSI__OUT_SEL0) 
#define tInvData_PRTDSI__OUT_SEL1       (* (reg8 *) tInvData__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define tInvData_PRTDSI__SYNC_OUT       (* (reg8 *) tInvData__PRTDSI__SYNC_OUT) 


#if defined(tInvData__INTSTAT)  /* Interrupt Registers */

    #define tInvData_INTSTAT                (* (reg8 *) tInvData__INTSTAT)
    #define tInvData_SNAP                   (* (reg8 *) tInvData__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_tInvData_H */


/* [] END OF FILE */
