/*******************************************************************************
* File Name: tPWM.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_tPWM_H) /* Pins tPWM_H */
#define CY_PINS_tPWM_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "tPWM_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 tPWM__PORT == 15 && ((tPWM__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    tPWM_Write(uint8 value) ;
void    tPWM_SetDriveMode(uint8 mode) ;
uint8   tPWM_ReadDataReg(void) ;
uint8   tPWM_Read(void) ;
uint8   tPWM_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define tPWM_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define tPWM_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define tPWM_DM_RES_UP          PIN_DM_RES_UP
#define tPWM_DM_RES_DWN         PIN_DM_RES_DWN
#define tPWM_DM_OD_LO           PIN_DM_OD_LO
#define tPWM_DM_OD_HI           PIN_DM_OD_HI
#define tPWM_DM_STRONG          PIN_DM_STRONG
#define tPWM_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define tPWM_MASK               tPWM__MASK
#define tPWM_SHIFT              tPWM__SHIFT
#define tPWM_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define tPWM_PS                     (* (reg8 *) tPWM__PS)
/* Data Register */
#define tPWM_DR                     (* (reg8 *) tPWM__DR)
/* Port Number */
#define tPWM_PRT_NUM                (* (reg8 *) tPWM__PRT) 
/* Connect to Analog Globals */                                                  
#define tPWM_AG                     (* (reg8 *) tPWM__AG)                       
/* Analog MUX bux enable */
#define tPWM_AMUX                   (* (reg8 *) tPWM__AMUX) 
/* Bidirectional Enable */                                                        
#define tPWM_BIE                    (* (reg8 *) tPWM__BIE)
/* Bit-mask for Aliased Register Access */
#define tPWM_BIT_MASK               (* (reg8 *) tPWM__BIT_MASK)
/* Bypass Enable */
#define tPWM_BYP                    (* (reg8 *) tPWM__BYP)
/* Port wide control signals */                                                   
#define tPWM_CTL                    (* (reg8 *) tPWM__CTL)
/* Drive Modes */
#define tPWM_DM0                    (* (reg8 *) tPWM__DM0) 
#define tPWM_DM1                    (* (reg8 *) tPWM__DM1)
#define tPWM_DM2                    (* (reg8 *) tPWM__DM2) 
/* Input Buffer Disable Override */
#define tPWM_INP_DIS                (* (reg8 *) tPWM__INP_DIS)
/* LCD Common or Segment Drive */
#define tPWM_LCD_COM_SEG            (* (reg8 *) tPWM__LCD_COM_SEG)
/* Enable Segment LCD */
#define tPWM_LCD_EN                 (* (reg8 *) tPWM__LCD_EN)
/* Slew Rate Control */
#define tPWM_SLW                    (* (reg8 *) tPWM__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define tPWM_PRTDSI__CAPS_SEL       (* (reg8 *) tPWM__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define tPWM_PRTDSI__DBL_SYNC_IN    (* (reg8 *) tPWM__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define tPWM_PRTDSI__OE_SEL0        (* (reg8 *) tPWM__PRTDSI__OE_SEL0) 
#define tPWM_PRTDSI__OE_SEL1        (* (reg8 *) tPWM__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define tPWM_PRTDSI__OUT_SEL0       (* (reg8 *) tPWM__PRTDSI__OUT_SEL0) 
#define tPWM_PRTDSI__OUT_SEL1       (* (reg8 *) tPWM__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define tPWM_PRTDSI__SYNC_OUT       (* (reg8 *) tPWM__PRTDSI__SYNC_OUT) 


#if defined(tPWM__INTSTAT)  /* Interrupt Registers */

    #define tPWM_INTSTAT                (* (reg8 *) tPWM__INTSTAT)
    #define tPWM_SNAP                   (* (reg8 *) tPWM__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_tPWM_H */


/* [] END OF FILE */
