/*******************************************************************************
* Filename: MPDTFrameDefinitions.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef MPDTFRAMEDEFINITIONS_H
#define MPDTFRAMEDEFINITIONS_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */

/* propietary */

/* operation system */

/* processor expert */
/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/
// Definiciones de flag y stop pattern
#define FramesFlagPattern		0xfa		// Palabra de enganche de trama
#define FramesStopFlagDirectH 	0x7f
#define FramesStopFlagDirectL 	0xff
#define FramesStopFlagInvertH 	0x80
#define FramesStopFlagInvertL 	0x00
#define FramesDummyPattern 		0xaa

// Definiciones para tramas normales
#define	TypeFieldBitsSize			4			// Number of bits of type field for unit or tower messages
#define	IDUnitFieldBitsSize		   24			// Number of bits of IDunit field
#define	ServiceFieldBitsSize	 	5			// Number of bits of service field
#define	DataLengthFieldBitsSize	 	5			// Number of bits of data lenght field
#define	DataByteFieldBitsSize	 	8			// Number of bits of data payload field
#define	MaxDataBytesSize	 	   24			// Maximo number of bytes for data carry
#define MinTamanoTrama			   20			// Minimo tamano de trama TORRES (sin stop word)

// Definiciones para multitramas
#define	SlotTxTowerBitsSize			5			// Bits for slot Tx information
#define	NumberMessagesBitsSize		5			// Bits samples in number of messages fields
#define	IDSamplesBitsSize			6			// Bits samples in multiframe
#define	IDTowerFieldBitsSize	   40			// Number of bits of IDtower field
#define MaxHeaderBytesSize		   25  			// Max tamaño en bytes del header con start y stop pattern

// DEFINICIONES DE MENSAJES MPDT
// FRAME TYPE
#define MPDT_SYNC_MSG		0
#define MPDT_BROADCAST		1
#define MPDT_JAMM_ACK		2
#define MPDT_AUTOREPORT		4
#define MPDT_CHECKPOINT		5
#define MPDT_WAKE_UP		6
#define MPDT_SLEEP			7
#define MPDT_NORMAL_ACK		8
#define MPDT_ADF_POWER  	9
#define MPDT_CARGO_HUNTER  	10
#define	MPDT_SERVICES		11
#define	MPDT_MNFR_INSTALL	12
#define	MPDT_BS_ACK			13
// FRAME SUBTYPES
#define MPDT_MNFR_ToneCarri		1
#define MPDT_MNFR_Status		2
#define MPDT_MNFR_Coverage		3
#define MPDT_MNFR_Goto			4
#define MPDT_BROCAST_Report		4
#define MPDT_BROCAST_Checkpoint	5
#define MPDT_BROCAST_WakeUp		6
#define MPDT_BROCAST_Sleep		8
#define MPDT_AUTOREPORT_Normal	0
#define MPDT_AUTOREPORT_Called	1
#define MPDT_AUTOREPORT_Error	2
#define MPDT_ALARM_Report		2
#define MPDT_CARGO_SurvCLD		1
#define MPDT_CARGO_SurvSuper	2
#define MPDT_CARGO_CLDReset		3
#define MPDT_CARGO_CLDAct		4
#define MPDT_CARGO_CLDDeact		5
#define MPDT_CARGO_ReportRQST	6
#define MPDT_CARGO_ReportRPS	7

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif
