/*******************************************************************************
* Filename: RxFrames.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef RxFrames_H
#define RxFrames_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */

/* propietary */
#include "CustomDataTypes.h"
/* operation system */

/* processor expert */

/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/
// Parametros varios
#define MaxSizeBytesFrame 	  	 30
#define	FSKAgendaBufferSize2	155	// Tamaño del buffer de agenda FSK para modo repetidor en bytes

// Parametros de ventanas de decodificacion para el glitch filter
#define PWMSourceClk		 12			// Clk en MHZ del modulo PWM
///#define PeriodBituS 		888			// Tiempo de bit FSK en ms
#define PeriodBituS 		444			// Tiempo de bit FSK en ms

#define ErrorWindowPercent 	 30			// Error de ventana permitido para el glitch filter

// Definiciones para procesamiento de tramas recibidas
#define NoFrameRxWaiting			0	// No se han recibido tramas nuevas
#define MPDTFrameRx_MCDFMode		1	// Se recibio una trama MPDT, procesar como MCDF
#define MPDTFrameRx_PSDMode			2	// Se recibio una trama MPDT, procesar como PSD

//Maquina de Estado
typedef enum 
{
	state_RxFramesFlag_Pattern = 0x01,
	state_RxFramesFrame = 0x02,
	state_CheckMaskMPDTCommands = 0x03,
} RxFramesMachineState;

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/
// Buffers de Rx de datos por RF
struct sBufferDualMPDT
{
	uint8 BuffRxFrame1[MaxSizeBytesFrame];
	uint8 BuffRxFrame2[MaxSizeBytesFrame];
};

// Buffers de Rx de datos por RF
struct sBufferEchoMode
{
	uint8 BufferAgendaRx[FSKAgendaBufferSize2];
	uint8 IndexBufferAgendaRepetidor;
};

// Estructura con variables para recepcion de tramas y multitramas
struct sVarsRxFrame{
	uint8   *pcPointerRx;
	uint16	Cntr_bitsRx;
	uint8	Cntr_byte;
	uint8   *LastFramepcPointerRx;
	uint16	LastFrameCntr_bitsRx;
	uint8	LastFrameCntr_byte;
	uint8	InvertedFrame;
	uint8	SubFramesCounter;
	uint8	ResultDecod;
	uint8	NumberHammingBits;
	uint8	TypeBackup;
};

extern volatile union byte_def MPDTRxFramesFlag;
//#define Expansion				MPDTRxFramesFlag.bitFlag.b7
#define EchoModeRxFinish		MPDTRxFramesFlag.bitFlag.b6
#define EchoModeFrameOK		 	MPDTRxFramesFlag.bitFlag.b5
#define EchoModeEnabled  		MPDTRxFramesFlag.bitFlag.b4
#define SwitchBuffRx			MPDTRxFramesFlag.bitFlag.b3
#define FrameRxWaitingProcess	MPDTRxFramesFlag.bitFlag.b2
#define MultiFrameReceiving	 	MPDTRxFramesFlag.bitFlag.b1
#define MPDTFrameReceiving		MPDTRxFramesFlag.bitFlag.b0

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/
// Estructura con los datos decodificados
extern volatile struct sDecodedMPDTFrame DecodedMPDTFrame;
extern volatile struct sDecodedTowerMultiframe DecodedTowerMultiframe;
// Buffer de Rx de datos de modo repetidor RF
extern volatile struct sBufferEchoMode BufferEchoMode;
/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/
void RxFrames_MState(void);
void RxFrames_InitRxFramesPacketsMachine(void);
void RxFrames_JustifyStopPatterns(uint8 *ArrayPointer, uint8 uBytes);
/********************************************************************************
* Abbreviation Table
* 
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif 