/*******************************************************************************
* Filename: UARTProtocolDefinitions.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef UARTPROTOCOLDEFINITIONS_H
#define UARTPROTOCOLDEFINITIONS_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */

/* propietary */

/* operation system */

/* processor expert */
/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/
// Definicion de valores varios para procesamiento serial
#define ValidMotivoPSDMode	 0xc8	// header de los comandos seriales en modo PSD
#define LenghtBytePosPSDMode    3	// Posicion del byte que indica la longitud de trama en la recepcion de comandos seriales en modo PSD

// Protocolo serial de modo manufactura Decoder -> PC (Modo Manufactura)
#define PSD_ManufacturingRxTestACK		{0xC8u, 0x15u, 0x01u, 0xDCu}		// Manufacturing Rx Test mode ACK
#define PSD_ManufacturingTxTestACK		{0xC8u, 0x17u, 0x01u, 0xDEu}		// Manufacturing Tx Test mode ACK
#define PSD_ManufacturingGoToNormalACK	{0xC8u, 0x19u, 0x01u, 0xD0u}		// Manufacturing send to normal mode ACK

// Protocolo serial de modo manufactura Decoder <- PC (Modo manufactura)
#define PSD_ManufacturingRxTestRQST		{0xC8u, 0x14u, 0x01u, 0xDDu}		// Manufacturing Rx Test mode
#define PSD_ManufacturingTxTestRQST		{0xC8u, 0x16u, 0x01u, 0xDFu}		// Manufacturing Tx Test mode
#define PSD_ManufacturingGoToNormalRQST	{0xC8u, 0x18u, 0x01u, 0xD1u}		// Manufacturing send to normal mode

// Protocolo serial Decoder -> Calima (PSD mode)
#define PSD_MPDT_NotificationRQST		{0xC8u, 0x02u, 0xCAu}	// Hay un mensaje MPDT o LJ para ser Tx de la Decoder III a la Calima: Motivo 0xC8, Tipo 0x02
#define PSD_MPDT_Header_Message			{0xC8u, 0x22u, '\0'}	// Header de Tx de mensaje MPDT o LJ: Motivo 0xC8, Tipo 0x22
#define PSD_StatusDecoder_Message		{0xC8u, 0x0Fu, '\0'}	// Header de Status Decoder RPS Motivo 0xC8, Tipo 0x0F
#define PSD_TowerDataDecoder_Message	{0xC8u, 0x09u, '\0'}	// Header de TowerData Decoder RPS Motivo 0xC8, Tipo 0x09
#define PSD_EmptySchedule				{0xC8u, 0x08u, 0xc0}	// Codigo de Tx con agenda vacia

// Protocolo serial Decoder <- Calima (PSD mode)
#define PSD_MPDT_NotificationACK		{0xC8u, 0x04u, 0x02u, 0x02u, 0xCCu}	// Listo para recibir tramas de las guanes: Motivo 0xC8, Tipo 0x02
#define PSD_MPDT_AgendaData				{0xC8u, 0x01u}						// Agenda FSK: Motivo 0xC8, Tipo 0x01
#define PSD_MPDT_NewDecoderFSKConfig	{0xC8u, 0x0Bu}						// Decoder III FSK/PSD server config frame
#define PSD_MPDT_ConfigurationRQST		{0xC8u, 0x0Du, 0x01u, 0xC4u}		// RQST configuracion actual de la tarjeta
#define PSD_MPDT_DefaultTowerData		{0xC8u, 0x06u}						// Default Tower Data: Motivo 0xC8, Tipo 0x06
#define PSD_MPDT_TowerDataRQST			{0xC8u, 0x09u, 0x01u, 0xC0u}		// RQST configuracion actual de TowerData

// Protocolo serial Decoder -> Display (Viatura mode)
#define PSD_Bearing_MPDT_Message		{0x42u, 0x2Cu}				// B, Header de mensaje bearing para el display
#define Display_DFVersionRPS			{0x56u, 0x2Cu}				// V,
#define Display_DecoderVersionRPS		{0x55u, 0x2Cu}				// U,

// Protocolo serial Decoder <- Display (Viatura mode)
#define Display_DFVersionRQST			{0x56u, 0x2Cu, 0x3Fu, 0x2Cu}	// V,?,
#define Display_DecoderVersionRQST		{0x55u, 0x2Cu, 0x3Fu, 0x2Cu}	// U,?,

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif

