/*******************************************************************************
* Filename: main.h
* Developer(s): Diego Cuellar dcuellar@invytec.com
* Language: ANSI C
* Abstract: Structure declarations, interface functions and global definitions.
* References: 
*******************************************************************************/

/*******************************************************************************
* HEADER FILES
*******************************************************************************/

/* propietary */
#include "CustomDataTypes.h"

/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/
/* Main Maquina de Estado */
typedef enum 
{	
    state_NotValidValueLow = 0,
    state_ManuIDLETest = 1,
    state_ManuReceptionTest = 2,
	state_ManuTransmissionTest = 3,
	state_MainFramesReceptionMode = 4,
	state_MainTransmissionMode = 5,
	state_MainEchoMode = 6,
    state_NotValidValueHigh = 7,
} MainMachineState;

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/


/*******************************************************************************
* Function name         : GetMainOperationalMode
* returns               : The main machine state current stage
* Arguments             : None
* Created by            : Cesar Sarmiento csarmiento@invytec.com
* Date created          : 19/03/2013
* Description           : Allows other modules to know the current stage of the
                          Main Machine
* Precondition          : None.
* Postcondition         : None.
* Language              : ANSI C
* word size             : 8 bit
**************************************************/
MainMachineState GetMainOperationalMode(void);

/*******************************************************************************
* Function name         : SetMainOperationalMode
* returns               : uint8 If the assigment was set correctly 1 otherwise 0
* Arguments             : MainMachineState value stage watch data type
* Created by            : Cesar Sarmiento csarmiento@invytec.com
* Date created          : 19/03/2013
* Description           : Allows other modules to set the current stage of the
                          Main Machine
* Precondition          : None.
* Postcondition         : None.
* Language              : ANSI C
* word size             : 8 bit
**************************************************/
uint8 SetMainOperationalMode(MainMachineState);

/*******************************************************************************
* END OF FILE
*******************************************************************************/
